Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_modifiers", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/installation", "introduction/introduction", "introduction/overview", "introduction/pipelines", "introduction/rendering", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_io_lammps", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_vis"], "filenames": ["index.rst", "introduction/advanced_topics.rst", "introduction/custom_modifiers.rst", "introduction/data_manipulation.rst", "introduction/data_model.rst", "introduction/examples.rst", "introduction/examples/batch_scripts/cna_bond_indices.rst", "introduction/examples/batch_scripts/creating_particles.rst", "introduction/examples/batch_scripts/voronoi_indices.rst", "introduction/examples/modifiers/calculate_local_entropy.rst", "introduction/examples/modifiers/msd_calculation.rst", "introduction/examples/modifiers/order_parameter_calculation.rst", "introduction/examples/modifiers/select_overlapping_particles.rst", "introduction/examples/modifiers/shrink_wrap_box.rst", "introduction/examples/modifiers/visualize_local_lattice_orientation.rst", "introduction/examples/overlays/data_plot.rst", "introduction/examples/overlays/highlight_particle.rst", "introduction/examples/overlays/scale_bar.rst", "introduction/file_io.rst", "introduction/installation.rst", "introduction/introduction.rst", "introduction/overview.rst", "introduction/pipelines.rst", "introduction/rendering.rst", "modules/ovito.rst", "modules/ovito_data.rst", "modules/ovito_io.rst", "modules/ovito_io_ase.rst", "modules/ovito_io_lammps.rst", "modules/ovito_modifiers.rst", "modules/ovito_pipeline.rst", "modules/ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined modifiers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B1: Computing Voronoi indices", "Example M6: Calculate local entropy", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Including data plots in rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "Installation", "Introduction", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.lammps</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "manual": [0, 2, 4, 9, 13, 20, 25, 29, 31], "describ": [0, 2, 5, 18, 19, 20, 25, 29, 31], "program": [0, 2, 3, 4, 5, 8, 10, 18, 19, 20, 21, 23, 24, 29, 30, 31], "interfac": [0, 1, 2, 3, 4, 18, 19, 20, 21, 22, 25, 26, 29, 30, 31], "pro": [0, 20, 27, 31], "desktop": [0, 19, 20, 24, 28, 31], "applic": [0, 1, 2, 4, 19, 20, 24, 28, 31], "standalon": [0, 19], "packag": [0, 19, 27, 28, 31], "let": [0, 1, 2, 3, 4, 6, 8, 10, 11, 18, 19, 20, 21, 22, 23, 25, 26, 28, 29, 30, 31], "you": [0, 1, 2, 3, 4, 5, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "integr": [0, 2, 9, 20, 29, 31], "": [0, 1, 2, 3, 4, 6, 8, 9, 10, 13, 18, 19, 20, 22, 23, 24, 25, 26, 28, 29, 30, 31], "comput": [0, 1, 3, 4, 5, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 22, 23, 24, 25, 26, 27, 29, 30, 31], "render": [0, 1, 2, 4, 5, 16, 17, 18, 20, 22, 24, 25, 26, 28, 29, 30, 31], "capabl": [0, 3, 19, 20], "extern": [0, 1, 7, 18, 19, 21, 22, 25, 26, 27, 30, 31], "extend": [0, 20, 22, 25, 26, 29], "new": [0, 1, 2, 4, 5, 7, 9, 13, 14, 18, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31], "user": [0, 3, 4, 5, 7, 9, 10, 12, 13, 14, 15, 18, 19, 20, 21, 22, 25, 26, 29, 30, 31], "defin": [0, 3, 4, 5, 7, 10, 11, 12, 13, 14, 15, 17, 18, 20, 21, 23, 24, 25, 26, 28, 29, 30, 31], "data": [0, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 19, 20, 23, 24, 26, 27, 28, 29, 30, 31], "process": [0, 2, 4, 7, 9, 21, 25, 29, 30, 31], "visual": [0, 2, 4, 5, 15, 18, 19, 20, 21, 24, 25, 26, 28, 29, 30, 31], "function": [0, 1, 3, 4, 6, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "can": [0, 1, 2, 3, 4, 5, 7, 10, 11, 13, 14, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31], "access": [0, 2, 3, 4, 5, 6, 8, 10, 11, 18, 23, 24, 25, 26, 28, 29, 30, 31], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "help": [0, 6, 29, 31], "menu": [0, 2, 20, 26], "basic": [0, 19, 24, 25, 29], "onlin": 0, "go": [0, 2, 25, 31], "doc": [0, 2], "org": [0, 19, 31], "introduct": [0, 5, 29], "instal": [0, 20, 27, 28, 31], "high": [0, 18, 25, 26, 27, 29], "level": [0, 4, 18, 24, 25, 26, 27, 29, 31], "api": [0, 9], "overview": [0, 4, 26], "file": [0, 1, 2, 3, 4, 6, 7, 8, 10, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "o": [0, 1, 2, 19, 20, 21, 22, 24, 25, 30, 31], "pipelin": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 14, 15, 16, 18, 19, 20, 23, 24, 25, 26, 27, 29, 31], "model": [0, 3, 18, 20, 22, 25, 26, 27, 28, 31], "manipul": [0, 2, 4, 20, 21, 24, 25, 30, 31], "modifi": [0, 1, 4, 6, 8, 9, 10, 11, 12, 13, 14, 18, 19, 20, 22, 23, 24, 25, 26, 28, 30, 31], "advanc": [0, 3, 29], "code": [0, 1, 2, 3, 9, 14, 17, 18, 19, 20, 22, 25, 26, 28, 29, 30, 31], "exampl": [0, 1, 2, 3, 4, 18, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31], "io": [0, 1, 2, 6, 8, 10, 18, 20, 21, 22, 24, 25, 29, 30, 31], "ase": 0, "lammp": [0, 8, 18, 21, 25, 26, 29, 30], "vi": [0, 7, 16, 21, 23, 25, 29], "section": [1, 2, 3, 4, 18, 20, 21, 22, 24, 25, 26, 29], "cover": [1, 20, 25, 29], "sever": [1, 4, 21, 22, 23, 25, 26, 29, 30, 31], "relat": [1, 4, 23, 31], "ovito": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 22, 23], "script": [1, 2, 6, 7, 8, 9, 10, 14, 17, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30, 31], "The": [1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "export_fil": [1, 2, 10, 18, 20, 21, 22, 25, 26, 28, 29, 30], "output": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 16, 18, 20, 21, 22, 24, 25, 26, 28, 29, 30, 31], "disk": [1, 3, 18, 24, 26, 29, 30, 31], "But": [1, 25], "how": [1, 3, 4, 5, 6, 12, 15, 18, 20, 21, 22, 25, 26, 29, 30, 31], "do": [1, 2, 6, 10, 13, 18, 21, 22, 25, 26, 28, 29, 30, 31], "definit": [1, 18, 24, 25, 29, 31], "itself": [1, 2, 24, 25, 29], "includ": [1, 2, 3, 5, 19, 20, 21, 24, 25, 27, 28, 29, 31], "paramet": [1, 2, 5, 9, 12, 17, 18, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "entir": [1, 4, 24, 25, 29, 31], "scene": [1, 2, 3, 7, 15, 16, 18, 19, 21, 23, 24, 25, 26, 29, 30, 31], "state": [1, 2, 3, 21, 24, 25, 28, 29, 31], "us": [1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 15, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "method": [1, 3, 4, 9, 18, 21, 22, 23, 24, 25, 26, 29, 30, 31], "thu": [1, 3, 4, 8, 18, 21, 25, 29, 30, 31], "order": [1, 2, 3, 5, 8, 22, 25, 26, 29, 31], "need": [1, 2, 3, 10, 11, 17, 18, 19, 20, 21, 23, 24, 25, 26, 29, 30, 31], "first": [1, 3, 4, 7, 8, 16, 18, 20, 21, 22, 23, 25, 26, 29, 30, 31], "make": [1, 2, 3, 7, 9, 10, 11, 12, 18, 19, 22, 25, 26, 27, 28, 29, 30, 31], "part": [1, 2, 3, 18, 19, 21, 22, 24, 25, 29, 30, 31], "call": [1, 2, 3, 4, 5, 9, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "its": [1, 2, 3, 4, 7, 10, 11, 21, 22, 23, 24, 25, 26, 29, 30, 31], "add_to_scen": [1, 2, 7, 18, 19, 21, 24, 25, 26, 29, 30, 31], "import": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "import_fil": [1, 2, 6, 8, 10, 18, 20, 21, 22, 24, 25, 26, 27, 29, 30, 31], "coordinationanalysismodifi": [1, 15, 22, 25, 29], "input": [1, 3, 4, 6, 8, 9, 10, 11, 13, 14, 17, 18, 22, 24, 25, 26, 27, 29, 30, 31], "simul": [1, 2, 4, 5, 6, 7, 8, 10, 11, 17, 18, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31], "dump": [1, 2, 6, 8, 10, 18, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31], "append": [1, 2, 3, 6, 7, 8, 10, 16, 18, 20, 21, 22, 23, 24, 25, 26, 29, 30, 31], "cutoff": [1, 6, 9, 12, 21, 22, 25, 29, 30, 31], "3": [1, 3, 4, 6, 7, 8, 9, 11, 13, 14, 16, 18, 19, 21, 22, 23, 25, 29, 30, 31], "4": [1, 3, 6, 7, 8, 9, 13, 14, 15, 17, 25, 29, 30, 31], "mypipelin": 1, "restor": [1, 24], "all": [1, 2, 3, 4, 9, 10, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "them": [1, 2, 3, 4, 6, 7, 14, 18, 19, 20, 23, 25, 29, 30, 31], "avail": [1, 10, 19, 22, 23, 25, 26, 27, 28, 29, 30, 31], "list": [1, 2, 4, 6, 8, 11, 14, 18, 19, 21, 22, 23, 24, 25, 26, 29, 30, 31], "0": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31], "Of": 1, "cours": [1, 25], "also": [1, 2, 3, 4, 18, 19, 20, 21, 24, 25, 26, 29, 30, 31], "possibl": [1, 2, 3, 11, 18, 19, 21, 22, 25, 26, 29, 30, 31], "open": [1, 2, 4, 24, 25, 29, 31], "graphic": [1, 2, 4, 5, 10, 11, 14, 18, 20, 21, 22, 24, 25, 29, 30, 31], "convers": [1, 25], "creat": [1, 2, 3, 4, 5, 6, 9, 10, 11, 12, 13, 15, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "hand": [1, 2, 20, 28, 29], "futur": [1, 31], "either": [1, 11, 21, 22, 23, 24, 25, 29, 30, 31], "runtim": 1, "preload": 1, "when": [1, 2, 3, 4, 10, 11, 18, 20, 21, 22, 24, 25, 26, 29, 30, 31], "run": [1, 10, 11, 19, 20, 21, 24, 25, 26, 27, 28, 30, 31], "interpret": [1, 2, 5, 10, 20, 24, 26, 27, 28, 29, 31], "done": [1, 2, 3, 5, 18, 21, 23, 25, 29], "command": [1, 19, 20, 24, 26, 28, 29, 31], "line": [1, 3, 4, 6, 18, 19, 20, 23, 24, 25, 26, 28, 29, 31], "option": [1, 2, 3, 4, 15, 18, 19, 20, 21, 23, 24, 25, 26, 29, 30, 31], "py": [1, 19, 20, 28], "now": [1, 3, 8, 22, 24, 25, 27, 29, 30], "execut": [1, 2, 5, 12, 19, 20, 22, 24, 25, 28, 29, 30, 31], "an": [1, 2, 3, 4, 7, 8, 11, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "environ": [1, 2, 6, 19, 27, 29, 31], "where": [1, 2, 3, 4, 8, 9, 14, 22, 25, 26, 29, 30, 31], "wa": [1, 3, 4, 18, 24, 25, 29, 30, 31], "alreadi": [1, 3, 13, 19, 21, 22, 25, 26, 29, 31], "popul": [1, 22, 24, 25, 30, 31], "instead": [1, 2, 21, 22, 25, 26, 29, 30, 31], "set": [1, 3, 4, 7, 8, 19, 21, 22, 23, 25, 26, 29, 30, 31], "up": [1, 4, 8, 10, 11, 15, 19, 21, 22, 24, 25, 29, 30, 31], "scratch": [1, 25], "work": [1, 2, 4, 6, 17, 18, 19, 20, 21, 24, 25, 26, 29, 31], "exist": [1, 3, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "were": [1, 21, 24, 29, 31], "replac": [1, 3, 18, 21, 25, 26, 29, 30, 31], "serv": [1, 4, 24, 25, 29, 30, 31], "differ": [1, 2, 4, 7, 9, 21, 23, 25, 26, 29, 30, 31], "one": [1, 2, 3, 4, 11, 12, 13, 18, 21, 22, 24, 25, 26, 29, 30, 31], "sourc": [1, 2, 4, 7, 14, 17, 18, 19, 21, 22, 25, 26, 27, 28, 29, 30, 31], "second_fil": [1, 29, 30], "adjust": [1, 17, 25, 29, 31], "1": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19, 21, 22, 23, 25, 27, 28, 29, 30, 31], "some": [1, 2, 3, 4, 6, 7, 8, 11, 18, 21, 23, 24, 25, 26, 29, 30, 31], "have": [1, 2, 3, 4, 10, 18, 19, 20, 21, 22, 23, 24, 25, 26, 29, 30, 31], "been": [1, 3, 4, 12, 18, 19, 21, 22, 24, 25, 26, 29, 30, 31], "parallel": [1, 19, 21, 23, 25, 28, 29, 31], "computation": 1, "expens": [1, 3, 29], "polyhedraltemplatematchingmodifi": [1, 29, 31], "clusteranalysismodifi": [1, 4, 25, 29], "computepropertymodifi": [1, 9, 25, 29, 31], "softwar": [1, 31], "base": [1, 4, 6, 23, 25, 26, 29, 30, 31], "engin": [1, 23, 31], "tachyonrender": [1, 23, 25, 31], "osprayrender": [1, 31], "By": [1, 25, 26, 29, 30], "default": [1, 19, 23, 25, 26, 27, 29, 30, 31], "algorithm": [1, 4, 25, 29, 31], "your": [1, 2, 3, 5, 19, 20, 21, 24, 25, 26, 27, 28, 29, 30, 31], "cpu": 1, "determin": [1, 11, 15, 16, 25, 26, 29, 30, 31], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 15, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "queri": [1, 4, 25, 29, 31], "follow": [1, 2, 3, 5, 6, 7, 9, 11, 14, 17, 18, 19, 20, 21, 22, 25, 26, 28, 29, 30, 31], "qt_compat": [1, 15, 16, 17, 31], "qtcore": [1, 16, 17, 31], "print": [1, 4, 6, 8, 18, 19, 21, 24, 25, 26, 28, 29, 30], "sometim": [1, 21, 22, 29, 30], "desir": [1, 21, 23, 25, 26, 29, 30], "restrict": [1, 2, 19, 29], "singl": [1, 4, 25, 26, 29, 31], "onli": [1, 2, 3, 4, 8, 11, 12, 17, 18, 19, 21, 22, 24, 25, 26, 28, 29, 30, 31], "multipl": [1, 3, 21, 22, 25, 26, 29, 31], "instanc": [1, 2, 3, 4, 18, 21, 22, 23, 24, 25, 26, 29, 30, 31], "achiev": [1, 3, 14, 25], "two": [1, 2, 3, 4, 6, 7, 8, 11, 12, 18, 21, 23, 25, 26, 27, 29, 30, 31], "wai": [1, 2, 18, 20, 21, 23, 25, 29, 30], "both": [1, 3, 8, 19, 25, 26, 29], "support": [1, 4, 11, 18, 23, 25, 26, 29, 31], "nthread": [1, 19], "allow": [1, 2, 3, 5, 12, 14, 19, 20, 21, 23, 25, 26, 28, 29, 30, 31], "overrid": [1, 25, 26, 31], "second": [1, 3, 7, 18, 22, 25, 29, 30, 31], "ovito_thread_count": 1, "variabl": [1, 2, 4, 21, 24, 25, 29], "prior": [1, 29, 30, 31], "invok": [1, 2, 3, 9, 18, 19, 20, 21, 25, 28, 29, 30], "approach": [1, 2, 7, 19, 22, 29], "alwai": [1, 2, 3, 4, 12, 21, 25, 29, 30], "gui": [1, 2, 31], "python": [1, 2, 3, 4, 6, 8, 9, 14, 15, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "modul": [1, 2, 3, 4, 6, 8, 15, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "export": [1, 2, 4, 6, 7, 10, 22, 25, 26, 29, 30], "own": [2, 3, 5, 21, 25, 27, 29, 30, 31], "particip": [2, 20, 29], "system": [2, 3, 4, 5, 6, 10, 11, 12, 18, 19, 20, 22, 25, 29, 30, 31], "situat": [2, 3, 25, 26, 31], "built": [2, 3, 4, 9, 10, 19, 20, 21, 25, 29, 31], "found": [2, 4, 15, 18, 19, 20, 25, 26, 29, 30], "ar": [2, 3, 4, 5, 8, 11, 12, 13, 14, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "suffici": [2, 18, 25, 29], "solv": 2, "specif": [2, 4, 22, 23, 25, 26, 28, 29, 30, 31], "problem": 2, "develop": [2, 11, 19, 20, 28, 31], "simpli": [2, 14, 19, 21, 25, 27, 29, 30, 31], "get": [2, 4, 5, 9, 16, 19, 20, 21, 22, 24, 25, 29, 30, 31], "automat": [2, 4, 18, 20, 21, 23, 25, 26, 29, 30, 31], "whenev": [2, 18, 20, 21, 25, 29, 31], "result": [2, 3, 4, 5, 8, 10, 11, 15, 18, 20, 22, 23, 25, 29, 30, 31], "must": [2, 3, 14, 18, 21, 25, 26, 29, 30, 31], "signatur": [2, 29, 30], "def": [2, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 25, 28, 29, 30, 31], "frame": [2, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 22, 23, 25, 26, 29, 30, 31], "current": [2, 3, 4, 6, 11, 12, 15, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31], "anim": [2, 4, 15, 18, 22, 23, 25, 26, 29, 30, 31], "number": [2, 4, 6, 8, 9, 10, 11, 18, 21, 22, 24, 25, 26, 29, 30, 31], "being": [2, 3, 4, 5, 15, 19, 20, 25, 28, 29, 30, 31], "evalu": [2, 3, 5, 18, 20, 21, 22, 26, 27, 29, 30], "datacollect": [2, 3, 4, 6, 7, 9, 13, 18, 21, 22, 25, 26, 27, 28, 29, 30, 31], "hold": [2, 4, 22, 25, 29], "flow": [2, 22], "down": [2, 22, 29, 31], "should": [2, 18, 19, 21, 22, 23, 25, 26, 28, 29, 30, 31], "oper": [2, 3, 4, 19, 24, 25, 29, 30], "return": [2, 3, 4, 6, 8, 13, 14, 16, 18, 21, 22, 25, 26, 27, 28, 29, 30, 31], "ani": [2, 3, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 26, 29, 30, 31], "valu": [2, 4, 9, 10, 14, 18, 21, 23, 25, 26, 29, 31], "If": [2, 3, 9, 19, 21, 24, 25, 26, 29, 30, 31], "want": [2, 3, 18, 19, 21, 25, 26, 29, 30, 31], "so": [2, 3, 10, 20, 25, 29, 30, 31], "place": [2, 3, 18, 21, 25, 26, 29, 30, 31], "perform": [2, 3, 4, 5, 9, 18, 19, 20, 21, 22, 24, 25, 28, 29, 30, 31], "step": [2, 3, 4, 9, 18, 20, 22, 25, 26, 28, 29, 31], "insert": [2, 3, 4, 7, 10, 14, 18, 19, 21, 22, 24, 25, 26, 29, 30, 31], "within": [2, 3, 4, 7, 9, 10, 12, 14, 18, 19, 20, 25, 28, 29, 30, 31], "version": [2, 3, 5, 11, 14, 19, 24, 25, 29, 31], "editor": [2, 31], "directli": [2, 3, 11, 18, 19, 20, 21, 23, 24, 25, 29, 31], "type": [2, 3, 4, 5, 6, 7, 8, 18, 20, 21, 22, 23, 25, 26, 29, 30, 31], "batch": [2, 10, 21, 25, 29], "my_mod_funct": 2, "arbitrari": [2, 4, 25, 31], "name": [2, 3, 4, 7, 8, 14, 18, 19, 25, 26, 29, 30, 31], "case": [2, 3, 4, 8, 18, 19, 20, 23, 25, 26, 29, 30, 31], "behind": [2, 3, 29, 31], "wrap": [2, 5, 25, 29, 30, 31], "object": [2, 7, 13, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "pythonscriptmodifi": [2, 29], "keep": [2, 3, 19, 21, 22, 25, 29, 30], "mind": [2, 19, 21, 25, 29], "mani": [2, 3, 18, 21, 22, 25, 29], "typic": [2, 3, 4, 5, 18, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "happen": [2, 18, 21, 22, 25, 26, 29, 30], "In": [2, 3, 4, 8, 11, 14, 18, 19, 21, 22, 23, 25, 26, 28, 29, 31], "routin": [2, 9, 25], "occur": [2, 3, 6, 8, 25, 29, 31], "updat": [2, 11, 12, 17, 22, 25, 29, 30, 31], "interact": [2, 5, 10, 18, 19, 20, 21, 22, 23, 24, 26, 29, 30, 31], "viewport": [2, 15, 17, 18, 19, 20, 21, 22, 24, 25, 26, 29, 30, 31], "imag": [2, 4, 5, 18, 20, 22, 23, 24, 25, 26, 29, 30, 31], "request": [2, 3, 9, 11, 15, 18, 21, 22, 25, 26, 29, 30, 31], "explicitli": [2, 3, 8, 18, 19, 21, 22, 25, 26, 29, 30, 31], "indirectli": 2, "pass": [2, 18, 19, 21, 22, 23, 25, 26, 29, 30, 31], "produc": [2, 3, 4, 12, 18, 23, 24, 25, 26, 29, 30, 31], "upstream": [2, 29], "e": [2, 3, 4, 14, 17, 18, 19, 21, 22, 24, 25, 26, 29, 30, 31], "g": [2, 3, 4, 9, 17, 18, 19, 22, 24, 25, 26, 29, 31], "filesourc": [2, 3, 18, 21, 22, 25, 26, 29, 30, 31], "further": [2, 4, 7, 18, 19, 25, 29, 30, 31], "preced": [2, 3, 10, 22, 25, 29, 30], "ha": [2, 3, 4, 5, 6, 8, 21, 22, 23, 24, 25, 26, 29, 30, 31], "amend": [2, 3, 25, 30], "after": [2, 20, 21, 22, 24, 25, 29, 30, 31], "subsequ": [2, 12, 18, 19, 24, 25, 29, 30, 31], "It": [2, 3, 4, 6, 8, 9, 10, 11, 19, 21, 24, 25, 26, 27, 28, 29, 30, 31], "note": [2, 3, 4, 11, 14, 18, 20, 21, 22, 25, 26, 29, 30, 31], "subject": [2, 29], "certain": [2, 4, 12, 18, 19, 25, 29, 30], "sinc": [2, 22, 25, 26, 29, 30, 31], "receiv": [2, 4, 25, 29, 30], "through": [2, 3, 4, 18, 19, 21, 23, 24, 25, 26, 29, 30, 31], "noth": [2, 4, 13, 28], "els": [2, 3, 4, 9, 25, 31], "particular": [2, 3, 4, 21, 25, 29], "structur": [2, 3, 4, 6, 7, 8, 20, 21, 22, 25, 26, 29, 30, 31], "add": [2, 3, 4, 7, 19, 21, 24, 25, 29, 30, 31], "remov": [2, 3, 12, 21, 24, 25, 29, 30], "other": [2, 3, 4, 5, 18, 19, 20, 21, 22, 23, 25, 26, 28, 29, 30, 31], "side": [2, 3, 25, 29], "effect": [2, 3, 25, 26, 29, 30, 31], "global": [2, 5, 10, 11, 18, 21, 24, 25, 26, 29, 31], "here": [2, 3, 22, 25, 26, 29], "few": [2, 19, 25], "thing": [2, 5, 19, 21, 25, 26], "insid": [2, 22, 25, 29, 31], "becaus": [2, 3, 19, 20, 23, 25, 29, 30, 31], "thei": [2, 3, 4, 19, 22, 25, 26, 29, 30, 31], "lead": [2, 25, 29, 31], "undesir": 2, "total_energi": 2, "A": [2, 4, 8, 9, 20, 21, 22, 23, 24, 25, 27, 28, 29, 30, 31], "below": [2, 6, 12, 19, 25, 26, 28, 29], "NOT": 2, "chang": [2, 3, 18, 21, 22, 23, 25, 26, 29, 30, 31], "made": [2, 25], "while": [2, 12, 19, 25, 26, 29, 30], "infinit": [2, 25, 29], "loop": [2, 6, 11, 18, 22, 25, 26, 29, 31], "selected_pipelin": [2, 15, 24], "suppos": [2, 29, 31], "collect": [2, 3, 4, 7, 16, 20, 25, 26, 27, 28, 29, 30, 31], "pipeline2": 2, "mai": [2, 3, 4, 10, 12, 14, 18, 19, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31], "numpi": [2, 3, 4, 6, 8, 9, 10, 11, 13, 14, 19, 25, 29, 30, 31], "sum": [2, 9, 10, 11, 29], "particl": [2, 5, 6, 8, 9, 10, 11, 13, 14, 18, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31], "potenti": [2, 12, 21, 25, 29, 31], "energi": [2, 21, 25, 29, 31], "don": [2, 19, 20, 23, 25, 30, 31], "t": [2, 8, 12, 13, 19, 20, 23, 25, 26, 29, 30, 31], "know": [2, 21], "often": [2, 6, 25, 30], "my_output": 2, "txt": [2, 10, 18, 25, 26, 29], "w": [2, 14, 25, 29, 31], "alter": [2, 3, 4, 22, 25, 30], "content": [2, 3, 19, 24, 25, 26, 29, 31], "sure": [2, 3, 19, 22, 25, 26, 29, 31], "adher": 2, "rule": [2, 29], "share": [2, 3, 19, 21, 25, 29, 30], "ownership": [2, 25], "underscor": [2, 3, 25], "notat": [2, 3, 8, 25, 31], "announc": [2, 25], "modif": [2, 6, 21, 22, 25, 29], "see": [2, 3, 4, 11, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "provid": [2, 3, 4, 10, 11, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31], "variou": [2, 4, 5, 21, 23, 25, 29, 30, 31], "custom": [2, 5, 7, 10, 14, 20, 25, 26, 29, 31], "analysi": [2, 3, 5, 8, 9, 11, 20, 21, 25, 28, 29, 30], "each": [2, 3, 4, 6, 8, 9, 10, 11, 14, 18, 21, 22, 25, 29, 30, 31], "trajectori": [2, 4, 18, 25, 26, 29, 30, 31], "written": [2, 19, 20, 24, 25, 26, 29], "plot": [2, 4, 5, 18, 20, 25, 29], "As": [2, 5, 18, 21, 22, 23, 24, 25, 26, 29, 31], "mention": [2, 21, 22], "previou": [2, 3, 25, 29], "howev": [2, 3, 18, 19, 25, 26, 29, 30], "fed": [2, 30], "back": [2, 4, 18, 20, 24, 25, 27, 29, 31], "store": [2, 3, 4, 9, 10, 11, 14, 18, 21, 23, 24, 25, 26, 29, 30], "standard": [2, 4, 6, 10, 12, 23, 24, 25, 26, 29, 30, 31], "simpl": [2, 3, 4, 19, 25, 26, 29], "quantiti": [2, 18, 25, 26, 29, 31], "attribut": [2, 5, 10, 18, 21, 23, 24, 25, 26, 28, 29, 30, 31], "dictionari": [2, 3, 4, 25, 29], "text": [2, 3, 4, 6, 10, 11, 12, 17, 18, 20, 25, 26, 29, 31], "attr": [2, 10, 18, 25, 26, 29], "format": [2, 4, 6, 10, 18, 21, 25, 26, 28, 29, 30, 31], "select": [2, 3, 10, 12, 18, 20, 21, 23, 24, 25, 26, 29, 30, 31], "tabl": [2, 9, 10, 15, 18, 25, 26, 29], "similar": [2, 18, 25, 26, 29, 31], "per": [2, 3, 4, 9, 10, 11, 14, 18, 25, 26, 29, 30, 31], "properti": [2, 5, 6, 7, 9, 10, 11, 12, 14, 18, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31], "out": [2, 4, 14, 20, 24, 25, 29, 31], "xyz": [2, 3, 4, 7, 18, 20, 25, 26, 29, 30], "more": [2, 3, 4, 9, 13, 18, 20, 21, 24, 25, 26, 28, 29, 30, 31], "complic": 2, "suitabl": [2, 29], "rather": [2, 3, 4, 25], "over": [2, 6, 9, 11, 12, 22, 25, 26, 28, 29, 31], "rang": [2, 6, 8, 9, 11, 12, 13, 18, 22, 25, 26, 29, 30, 31], "num_fram": [2, 18, 22, 26, 29, 30, 31], "output_fil": [2, 20], "requir": [2, 8, 19, 20, 21, 25, 26, 28, 29, 30, 31], "outlin": [2, 31], "abov": [2, 3, 8, 11, 18, 21, 25, 26, 29, 30, 31], "termin": [2, 5, 19, 20, 25, 29], "cannot": [2, 5, 24, 25, 29], "addit": [2, 3, 4, 18, 19, 20, 21, 22, 25, 26, 29, 30, 31], "read": [2, 3, 18, 22, 25, 26, 30, 31], "For": [2, 3, 4, 11, 18, 19, 20, 22, 23, 25, 26, 29, 30, 31], "could": [2, 14, 18, 25, 29, 30], "extra": [2, 19, 25, 29], "separ": [2, 9, 12, 18, 21, 22, 23, 25, 26, 29, 30, 31], "auxiliari": [2, 25, 29], "outsid": [2, 25, 29, 31], "static": [2, 26, 29, 30], "doe": [2, 13, 18, 20, 22, 25, 27, 29, 30, 31], "depend": [2, 18, 19, 21, 25, 26, 29, 30, 31], "consid": [2, 3, 25, 28, 29], "displac": [2, 3, 5, 23, 25, 29, 30, 31], "vector": [2, 3, 4, 8, 10, 11, 14, 21, 23, 25, 26, 29, 30, 31], "contain": [2, 3, 4, 6, 7, 8, 18, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31], "refer": [2, 3, 4, 9, 11, 13, 19, 25, 29, 30, 31], "coordin": [2, 3, 4, 7, 8, 13, 15, 25, 26, 28, 29, 30, 31], "subtract": [2, 25], "posit": [2, 3, 4, 5, 7, 11, 13, 16, 18, 20, 21, 23, 25, 26, 27, 29, 30, 31], "correspond": [2, 4, 8, 14, 18, 22, 23, 25, 26, 29, 30, 31], "would": [2, 3, 18, 20, 21, 25, 29, 30, 31], "look": [2, 4, 15, 20, 22, 25, 29], "configur": [2, 19, 21, 23, 25, 29, 30, 31], "initi": [2, 3, 9, 10, 18, 21, 22, 25, 29, 30, 31], "sort_particl": [2, 26], "true": [2, 3, 6, 8, 10, 18, 21, 23, 25, 26, 29, 30, 31], "particles_": [2, 3, 8, 9, 11, 12, 14, 25, 29, 30, 31], "create_properti": [2, 3, 7, 9, 11, 12, 14, 25, 29, 30, 31], "main": [2, 19, 22, 30, 31], "thread": [2, 19], "That": [2, 3, 8, 18, 21, 22, 23, 25, 26, 29, 30, 31], "mean": [2, 3, 4, 5, 11, 18, 21, 22, 25, 26, 29, 30, 31], "our": [2, 10, 19, 29, 30, 31], "take": [2, 6, 8, 11, 14, 21, 22, 23, 24, 25, 29, 30, 31], "befor": [2, 3, 19, 21, 22, 23, 25, 29, 30, 31], "control": [2, 12, 21, 23, 25, 26, 29, 30, 31], "mous": [2, 31], "keyboard": 2, "event": [2, 31], "freez": [2, 29], "To": [2, 4, 9, 11, 18, 19, 21, 23, 25, 26, 29, 30, 31], "avoid": [2, 3, 9, 25, 30, 31], "asynchron": 2, "yield": [2, 9, 11, 12, 22, 25, 29, 31], "statement": [2, 3, 11, 24, 25, 29], "temporarili": [2, 3], "give": [2, 3, 11, 21, 23, 25, 29, 31], "chanc": 2, "wait": 2, "repaint": [2, 31], "count": [2, 3, 4, 6, 8, 9, 11, 12, 13, 18, 25, 26, 29, 30, 31], "short": [2, 25, 29, 31], "period": [2, 23, 25, 29, 30, 31], "frequent": [2, 8], "element": [2, 3, 4, 8, 24, 25, 29, 31], "keyword": [2, 18, 21, 25, 26, 30, 31], "cancel": 2, "interrupt": [2, 11], "discontinu": [2, 31], "final": [2, 3, 7, 20, 21, 25, 29, 30], "mechan": [2, 19, 26, 30], "report": [2, 4, 18, 24, 25, 26, 29, 30, 31], "progress": [2, 11, 12, 31], "specifi": [2, 11, 12, 18, 19, 23, 25, 26, 29, 30, 31], "fraction": [2, 25, 29, 31], "displai": [2, 12, 16, 19, 21, 23, 24, 25, 29, 31], "statu": [2, 9, 11, 12], "bar": [2, 5, 9, 11, 12, 15, 25, 29, 31], "moreov": 2, "string": [2, 3, 4, 24, 25, 26, 29, 31], "chapter": 3, "discuss": [3, 25, 31], "pleas": [3, 4, 9, 13, 19, 25, 28, 29, 30, 31], "descript": [3, 25, 26, 29, 31], "organ": [3, 4], "tri": [3, 25], "unnecessari": [3, 30], "copi": [3, 14, 17, 24, 25, 29, 30], "far": [3, 29], "goal": 3, "than": [3, 4, 25, 29, 30, 31], "same": [3, 4, 6, 18, 21, 22, 25, 26, 29, 30], "time": [3, 4, 5, 10, 15, 18, 19, 20, 21, 22, 24, 25, 26, 28, 29, 30, 31], "duplic": [3, 25, 29], "clone": [3, 25], "obtain": [3, 25, 27, 29, 30, 31], "exact": [3, 24, 25], "origin": [3, 21, 25, 26, 29], "data2": [3, 22, 30], "assert": [3, 9, 24, 25], "show": [3, 9, 11, 12, 19, 21, 24, 25, 29, 30, 31], "physic": [3, 25, 29], "word": [3, 18, 22, 25, 29], "just": [3, 4, 20, 22, 25, 26, 29, 31], "too": [3, 25], "simultan": [3, 29], "shallow": [3, 25], "load": [3, 4, 6, 7, 8, 10, 18, 19, 20, 21, 24, 25, 26, 28, 29, 30, 31], "memori": [3, 4, 15, 18, 21, 25, 26, 29, 30], "field": [3, 4, 17, 21, 23, 24, 25, 29, 30, 31], "unmodifi": [3, 21, 30], "master": [3, 30], "enabl": [3, 20, 22, 23, 25, 29, 30, 31], "quick": [3, 25, 29], "re": [3, 18, 22, 26, 29], "without": [3, 7, 18, 19, 25, 26, 29, 30, 31], "reload": 3, "again": [3, 21, 22, 24, 25, 26, 30], "caller": [3, 21], "ineffici": 3, "fulli": [3, 21, 25, 29, 30, 31], "small": [3, 25, 29, 30], "portion": 3, "dataset": [3, 4, 6, 8, 18, 20, 21, 22, 25, 26, 27, 29, 30, 31], "newli": [3, 25, 29, 31], "inform": [3, 4, 5, 8, 18, 19, 20, 21, 22, 23, 24, 25, 26, 29, 30, 31], "come": [3, 25, 31], "plai": 3, "okai": [3, 25, 30], "between": [3, 4, 6, 7, 25, 26, 27, 28, 29, 30, 31], "long": [3, 11, 24, 25, 26, 29, 31], "intend": [3, 21, 25, 29, 30], "implement": [3, 5, 7, 23, 25, 29, 31], "exclus": [3, 25], "otherwis": [3, 20, 24, 25, 29, 31], "unwant": [3, 25], "affect": [3, 25, 29, 31], "anoth": [3, 24, 25, 26, 29, 30], "someon": 3, "Then": [3, 10, 12, 18, 21, 25, 26, 29], "unexpect": [3, 25], "safeguard": 3, "prevent": [3, 31], "accident": 3, "attempt": [3, 25], "boundari": [3, 4, 23, 25, 28, 29, 30, 31], "condit": [3, 4, 25, 28, 29, 30, 31], "flag": [3, 23, 25, 29, 30, 31], "simulationcel": [3, 4, 7, 13, 21, 23, 25, 29, 30, 31], "pbc": [3, 7, 25, 30], "fals": [3, 7, 9, 13, 23, 25, 29, 30, 31], "runtimeerror": [3, 14, 15, 30], "owner": 3, "mutabl": [3, 25], "_": 3, "rais": [3, 14, 15, 17, 25, 27, 30, 31], "error": [3, 25, 30], "detect": [3, 18, 25, 26, 29], "intern": [3, 18, 20, 25, 29, 30], "valid": [3, 9, 22, 25, 29, 31], "caus": 3, "solut": 3, "uniqu": [3, 4, 6, 8, 25, 26, 29], "handi": 3, "shortcut": 3, "cell_": [3, 25], "suffix": [3, 26, 29], "signal": 3, "intent": [3, 30], "check": [3, 19, 25], "whether": [3, 25, 29, 30, 31], "actual": [3, 11, 18, 23, 25, 26, 29, 30, 31], "safe": [3, 25], "referenc": [3, 25, 29, 31], "parent": [3, 4, 25, 31], "child": [3, 4, 25, 29], "propertycontain": [3, 4, 25, 29], "accept": [3, 18, 25, 26, 30, 31], "arrai": [3, 4, 6, 8, 9, 11, 14, 25, 29], "argument": [3, 18, 19, 21, 25, 26, 30, 31], "color_valu": 3, "random": [3, 25, 29, 31], "random_sampl": [3, 25, 31], "size": [3, 4, 15, 16, 21, 23, 25, 29, 31], "color": [3, 4, 5, 7, 22, 23, 25, 29, 31], "we": [3, 8, 10, 11, 12, 13, 18, 21, 22, 23, 24, 25, 27, 29, 31], "necessari": [3, 19, 21, 22, 25, 29, 31], "implicitli": [3, 22, 25, 29], "given": [3, 11, 18, 20, 21, 25, 26, 29, 30, 31], "overwritten": [3, 29], "detail": [3, 4, 11, 21, 29, 31], "document": [3, 4, 9, 13, 18, 21, 25, 26, 29, 30, 31], "like": [3, 4, 18, 19, 20, 24, 25, 26, 29, 30, 31], "repres": [3, 4, 21, 22, 24, 25, 29, 30, 31], "nest": [3, 4, 11, 25, 31], "well": [3, 19, 24, 25, 29, 31], "therefor": 3, "bonds_": [3, 25], "easi": [3, 25], "introduc": [3, 25, 30], "move": [3, 10, 29, 31], "positions_": [3, 25], "10": [3, 7, 8, 9, 16, 17, 19, 25, 26, 30, 31], "8": [3, 7, 8, 14, 22, 23, 25, 29, 31], "5": [3, 4, 6, 7, 8, 9, 11, 12, 16, 21, 22, 25, 29, 30, 31], "2": [3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 16, 18, 21, 22, 23, 25, 29, 30, 31], "length": [3, 4, 6, 8, 14, 17, 23, 25, 28, 29, 31], "unit": [3, 4, 17, 23, 25, 29, 31], "along": [3, 21, 25, 29, 30, 31], "x": [3, 8, 14, 18, 20, 21, 25, 26, 29, 30, 31], "axi": [3, 9, 11, 13, 14, 25, 29, 30, 31], "z": [3, 14, 18, 20, 21, 25, 26, 29, 30, 31], "index": [3, 6, 8, 12, 16, 25, 26, 29], "subset": [3, 25, 29, 31], "those": [3, 25, 29, 31], "whose": [3, 12, 25, 29, 31], "non": [3, 4, 5, 10, 17, 22, 25, 26, 29, 30, 31], "zero": [3, 9, 14, 25, 26, 29, 30, 31], "altern": [3, 10, 20, 21, 25, 26, 27, 29, 31], "compon": [3, 11, 25, 26, 29, 31], "class": [3, 4, 6, 11, 12, 18, 20, 21, 22, 23, 24, 25, 29, 30, 31], "primit": [3, 23], "numer": [3, 4, 8, 9, 25, 26, 29, 30, 31], "associ": [3, 4, 18, 25, 29, 31], "whole": [3, 4, 13, 18, 25], "snapshot": [3, 8, 18, 25, 26, 28, 29, 30], "furthermor": [3, 4, 20, 21, 24, 25, 26, 29, 30, 31], "dislocation_dens": 3, "dislocationanalysi": [3, 25, 28, 29], "total_line_length": [3, 25, 28, 29], "volum": [3, 9, 25, 29, 31], "calcul": [3, 5, 8, 16, 18, 25, 29, 30], "ratio": [3, 29, 31], "total": [3, 4, 25, 28, 29, 30], "disloc": [3, 25, 26, 28, 29, 31], "crystal": [3, 11, 14, 25, 28, 29], "previous": [3, 19, 25, 29, 30], "dislocationanalysismodifi": [3, 25, 28, 29, 31], "ever": 3, "demonstr": [3, 5, 6, 7, 8, 15, 25, 26, 29, 31], "three": [3, 4, 6, 7, 15, 18, 21, 23, 24, 25, 26, 29, 30, 31], "span": [3, 25], "individu": [3, 4, 10, 18, 25, 26, 29, 30, 31], "column": [3, 4, 10, 18, 20, 21, 25, 26, 29, 30], "3x4": [3, 13, 25, 29, 31], "matrix": [3, 9, 13, 21, 25, 29, 31], "15": 3, "b": [3, 25, 29], "30": [3, 25, 29], "c": [3, 19, 25, 29], "dimens": [3, 4, 25, 29, 31], "rescal": [3, 11], "togeth": [3, 4, 25, 29], "affinetransformationmodifi": [3, 29], "normal": [3, 9, 14, 21, 25, 26, 29, 30, 31], "emploi": [3, 9, 25, 28, 29, 30], "appli": [3, 9, 12, 18, 19, 25, 28, 29, 30, 31], "expressionselectionmodifi": [3, 18, 25, 29, 31], "express": [3, 8, 9, 18, 25, 29, 31], "potentialenergi": [3, 18, 29], "6": [3, 7, 8, 11, 25, 29, 31], "deleteselectedmodifi": [3, 12, 20, 25, 29], "act": [3, 11, 21, 29, 30], "exit": [3, 31], "easier": [3, 29, 31], "build": [3, 13, 19, 21, 25], "full": [3, 26, 29], "sub": [3, 4, 9, 25, 29, 31], "fragment": [4, 25], "compos": [4, 22, 31], "box": [4, 5, 7, 23, 25, 29, 31], "bond": [4, 5, 18, 22, 25, 26, 29, 30, 31], "find": [4, 5, 11, 18, 25, 29, 31], "deriv": [4, 23, 29], "common": [4, 18, 20, 25, 29, 30], "dataobject": [4, 23, 25, 26, 31], "form": [4, 22, 25, 29, 30, 31], "relationship": 4, "manag": [4, 21, 24, 25, 29, 30, 31], "turn": [4, 23, 25, 29, 30, 31], "At": 4, "topmost": 4, "hierarchi": [4, 25], "fundament": [4, 14], "complet": [4, 22, 23, 25, 29, 31], "top": [4, 15, 23, 25, 31], "kind": [4, 21, 25, 26, 29, 30, 31], "seri": [4, 18, 25, 26, 29, 31], "basi": [4, 6, 25, 29, 31], "via": [4, 5, 9, 19, 23, 25, 31], "molecul": [4, 25, 29], "center": [4, 12, 16, 25, 29, 31], "represent": [4, 23, 25, 27, 28, 29, 30, 31], "uniform": [4, 25, 29, 31], "mass": [4, 25, 26, 29], "etc": [4, 18, 22, 23, 25, 26, 29, 31], "n": [4, 6, 8, 14, 25, 29], "voxel": [4, 22, 25, 29, 31], "grid": [4, 25, 26, 29, 31], "loos": 4, "held": 4, "special": [4, 25, 29], "gener": [4, 6, 7, 15, 18, 20, 21, 23, 25, 29, 30, 31], "identifi": [4, 25, 26, 28, 29, 31], "prescrib": [4, 25], "mandatori": 4, "present": [4, 5, 10, 25, 29], "mimic": [4, 31], "kei": [4, 25, 29], "color_properti": [4, 29], "conveni": [4, 21, 25], "getter": [4, 25], "datat": [4, 15, 25, 26, 29], "voxelgrid": [4, 25, 26, 29, 31], "behav": [4, 19, 20, 25, 30], "pretti": 4, "much": [4, 25, 29], "73": [4, 21, 25], "24230194": [4, 21], "77583981": [4, 21], "87618297": [4, 21], "49": [4, 21], "00170135": [4, 21], "35": [4, 8, 21, 25, 30], "47610092": [4, 21], "27": [4, 21], "92519951": [4, 21], "50": [4, 21, 25, 29, 30], "36349869": [4, 21], "39": [4, 21], "02569962": [4, 21], "25": [4, 21], "61310005": [4, 21], "42": [4, 21], "71210098": [4, 21], "59": [4, 21], "44919968": [4, 21], "38": [4, 21], "6432991": [4, 21], "9917984": [4, 21], "63": [4, 21], "53770065": [4, 21], "36": [4, 8, 21], "33330154": [4, 21], "44": [4, 21], "17670059": [4, 21], "61": [4, 21, 25], "49860001": [4, 21], "37": [4, 21], "5401001": [4, 21], "dimension": [4, 6, 8, 14, 15, 18, 21, 23, 24, 25, 26, 29, 30, 31], "scalar": [4, 25, 29, 31], "equal": [4, 8, 25, 29], "28655": 4, "shape": [4, 6, 8, 14, 23, 25, 29, 30, 31], "dim": [4, 25], "dtype": [4, 6, 8, 11, 25], "float64": [4, 25], "int32": [4, 25], "int64": [4, 25], "chosen": [4, 25, 29], "token": [4, 25], "pair": [4, 9, 12, 25, 26, 29, 31], "reader": [4, 26, 29, 30], "relev": 4, "timestep": [4, 10, 18, 25, 26, 28, 29], "inspect": [4, 29], "inspector": [4, 25], "panel": [4, 25], "clusteranalysi": [4, 25, 29], "cluster_count": [4, 25, 29], "reflect": [4, 29, 30, 31], "cluster": [4, 19, 25, 29, 31], "emb": [4, 31], "dynam": [4, 7, 15, 18, 20, 21, 22, 25, 26, 28, 29, 30, 31], "textlabeloverlai": [4, 31], "extens": [4, 19, 25], "tabul": [4, 25, 29], "consist": [4, 20, 22, 25, 29, 30, 31], "row": [4, 6, 8, 25, 29], "histogrammodifi": [4, 25, 29], "commonneighboranalysismodifi": [4, 6, 21, 25, 26, 29], "graph": [4, 25, 29], "chart": [4, 18, 25, 29], "scatter": [4, 25, 29], "histogram": [4, 6, 8, 15, 25, 29], "lookup": [4, 25, 29], "write": [4, 5, 6, 11, 12, 18, 20, 21, 25, 26, 29, 30, 31], "purpos": [4, 18, 19, 22, 25, 29], "constructsurfacemodifi": [4, 25, 29, 31], "construct": [4, 21, 25, 27, 28, 29, 31], "triangul": [4, 31], "spatial": [4, 9, 25, 29], "region": [4, 9, 25, 29, 31], "fill": [4, 25, 27, 28, 29, 30, 31], "surfacemesh": [4, 25, 26, 29, 31], "vertic": [4, 8, 23, 25, 29, 31], "face": [4, 8, 25, 29, 31], "page": [5, 9, 13, 18, 25, 29, 31], "group": [5, 29], "categori": [5, 29], "action": [5, 19, 20, 24], "manner": [5, 29], "autom": [5, 20], "task": [5, 20, 28], "accomplish": [5, 29], "even": [5, 21, 25, 26, 29, 30, 31], "b1": [5, 29], "voronoi": [5, 29], "indic": [5, 11, 24, 25, 29, 31], "b2": [5, 29], "cna": [5, 29], "b3": 5, "programmat": [5, 10, 19, 21, 25, 30, 31], "everi": [5, 11, 17, 19, 20, 22, 25, 28, 29, 30, 31], "m1": 5, "squar": [5, 11, 23, 25, 29, 31], "m2": 5, "m3": 5, "map": [5, 18, 25, 26, 29, 30, 31], "local": [5, 6, 25, 26, 29, 30, 31], "lattic": [5, 11, 25, 28, 29], "orient": [5, 11, 21, 23, 25, 29, 31], "m4": 5, "overlap": [5, 29], "m5": 5, "shrink": 5, "m6": 5, "entropi": 5, "o1": 5, "scale": [5, 16, 25, 29, 31], "o2": 5, "o3": 5, "highlight": [5, 25, 29, 31], "createbondsmodifi": [6, 25, 29, 30, 31], "character": [6, 29], "triplet": [6, 25, 31], "topologi": [6, 7, 18, 25, 26, 29, 30], "surround": [6, 29, 31], "network": [6, 25], "enumer": [6, 25, 29], "bondsenumer": [6, 25], "helper": [6, 8, 25], "atom": [6, 7, 8, 9, 11, 14, 18, 20, 25, 26, 27, 29, 30, 31], "cna_pair_typ": 6, "number_of_such_pair": 6, "sy": [6, 19, 29, 31], "analyz": [6, 20, 22, 29], "mode": [6, 25, 29, 30, 31], "bondbas": [6, 29], "heavi": 6, "cna_indic": 6, "frequenc": [6, 8], "magic": [6, 8], "row_histogram": [6, 8], "ca": [6, 8, 25, 26, 28, 29], "ascontiguousarrai": [6, 8], "view": [6, 8, 21, 23, 24, 25, 31], "invers": [6, 8, 25, 29], "return_index": [6, 8], "return_invers": [6, 8], "bincount": [6, 8], "bond_enumer": 6, "particle_index": [6, 9, 25], "stdout": 6, "bond_index_list": 6, "bonds_of_particl": [6, 25], "local_cna_indic": 6, "unique_triplet": 6, "triplet_count": 6, "respect": [6, 10, 11, 25, 26, 29, 31], "zip": 6, "end": [6, 22, 25, 26, 29, 30, 31], "creation": [7, 29, 30], "cell": [7, 9, 13, 21, 22, 23, 25, 26, 28, 29, 30, 31], "fly": [7, 21, 29], "staticsourc": [7, 27, 30], "po": [7, 25], "7": [7, 8, 19, 25, 29, 31], "9": [7, 8, 14, 18, 19, 25, 29, 31], "pos_prop": 7, "type_prop": 7, "particletyp": [7, 25, 26, 29, 31], "id": [7, 8, 25, 26, 29], "cu": [7, 8, 25, 29, 30], "ni": [7, 25], "third": [7, 18, 25, 29, 31], "my_data": 7, "141": 7, "23": 7, "my_prop": [7, 31], "my": [7, 18, 25, 29, 31], "line_width": [7, 25, 31], "bond_topologi": [7, 25], "voronoianalysismodifi": [8, 25, 29], "distribut": [8, 15, 25, 29], "polyhedra": [8, 29], "amorph": 8, "polyhedron": [8, 29], "term": [8, 23, 25, 29, 31], "schlaefli": 8, "edg": [8, 25, 29, 31], "most": [8, 18, 21, 25, 31], "64": [8, 25], "zr": [8, 25, 30], "bulk": [8, 29], "metal": 8, "glass": 8, "icosahedron": 8, "12": [8, 11, 25, 29, 31], "five": 8, "chemic": [8, 25, 29], "radiu": [8, 16, 25, 29, 30, 31], "why": [8, 31], "radii": [8, 25, 29, 30, 31], "polydispers": 8, "tessel": [8, 29], "assign_particle_radii": 8, "atom_typ": 8, "particle_types_": [8, 25, 30], "type_by_id_": [8, 25, 30], "assign": [8, 13, 21, 25, 29, 30, 31], "55": [8, 25, 30], "voro": 8, "compute_indic": [8, 29], "use_radii": [8, 29], "edge_threshold": [8, 29], "m": [8, 19, 25, 27, 29], "maximum": [8, 14, 25, 26, 29, 31], "voro_indic": 8, "sort": [8, 25, 26, 29], "descend": [8, 29], "sort_indic": 8, "argsort": 8, "unique_indic": 8, "ten": 8, "entri": [8, 18, 25, 26, 29, 31], "1f": 8, "tupl": [8, 24, 25, 29, 31], "100": [8, 21, 23, 25, 26, 29], "float": [8, 11, 25, 26, 29, 31], "len": [8, 9, 10, 11, 14, 25, 29], "12274": 8, "11": [8, 25], "7485": 8, "5637": 8, "4857": 8, "3415": 8, "2927": 8, "2900": 8, "2068": 8, "2063": 8, "1662": 8, "fingerprint": 9, "r": [9, 11, 14, 25, 29, 31], "visit": [9, 25, 29], "neighbor": [9, 11, 12, 25, 29, 31], "spheric": [9, 25], "around": [9, 12, 16, 25, 29, 31], "learn": [9, 13, 25, 29, 31], "about": [9, 13, 29, 31], "cutoffneighborfind": [9, 12, 25], "distanc": [9, 11, 12, 25, 29, 30, 31], "central": [9, 11, 12, 25, 29], "averag": [9, 25, 26, 29], "neighborhood": [9, 29], "post": [9, 29, 31], "np": [9, 11, 14, 25, 29], "int": [9, 13, 24, 25, 28, 29, 30, 31], "sigma": 9, "use_local_dens": 9, "compute_averag": 9, "average_cutoff": 9, "messag": [9, 24], "overal": [9, 31], "densiti": [9, 25, 29, 31], "global_rho": 9, "finder": [9, 12, 25], "local_entropi": 9, "empti": [9, 13, 25, 29, 30, 31], "bin": [9, 19, 25, 26, 29], "nbin": 9, "integrand": 9, "linspac": [9, 25, 30], "num": 9, "rsq": 9, "precomput": 9, "factor": [9, 29, 31], "g_m": 9, "prefactor": 9, "pi": 9, "sqrt": [9, 29], "divis": 9, "iter": [9, 12, 22, 25, 29, 31], "r_ij": 9, "neighbor_dist": [9, 25], "r_ji": 9, "r_diff": 9, "expand_dim": 9, "exp": 9, "estim": 9, "local_volum": 9, "rho": 9, "1e": [9, 14, 25], "log": [9, 24, 26], "trapz": 9, "math": [9, 14, 21, 23, 29], "divid": [9, 10, 14, 25, 29, 31], "output_properti": [9, 25, 29], "operate_on": [9, 25, 29], "cutoff_radiu": [9, 29], "numneighbor": 9, "neighbor_express": [9, 29], "msd": 10, "magnitud": [10, 25, 29], "displacement_magnitud": 10, "featur": [10, 21, 26, 29, 31], "calculatedisplacementsmodifi": [10, 23, 29, 30, 31], "calculate_msd": 10, "rest": 10, "msd_data": 10, "multiple_fram": [10, 18, 25, 26, 29, 30], "paper": [11, 29], "phy": 11, "rev": 11, "lett": 11, "86": 11, "5530": 11, "label": [11, 15, 17, 25, 31], "belong": [11, 18, 25, 29], "liquid": 11, "solid": [11, 25, 29, 31], "fcc": [11, 25, 26, 28, 29], "phase": [11, 19, 29], "nearest": [11, 25, 29], "ideal": [11, 29], "denot": [11, 25], "phi": [11, 25], "involv": [11, 25, 29, 31], "closest": [11, 25, 29], "nearestneighborfind": [11, 25], "util": [11, 12, 25, 31], "u": [11, 19, 29, 31], "start": [11, 18, 19, 22, 25, 30, 31], "scope": 11, "constant": [11, 25, 29, 30, 31], "lattice_paramet": 11, "110": 11, "reference_vector": 11, "asarrai": [11, 25], "account": [11, 25, 29], "num_neighbor": [11, 29], "order_param": 11, "prepar": [11, 12, 19], "neigh_find": 11, "oparam": 11, "neigh": [11, 12, 25], "deviat": [11, 29], "squared_devi": 11, "linalg": [11, 14, 25], "norm": [11, 14, 25], "delta": [11, 25, 30], "contribut": 11, "best": [11, 25], "match": [11, 14, 18, 25, 26, 29, 31], "min": [11, 13, 25, 29], "feedback": 11, "search": [12, 25], "elimin": 12, "among": [12, 25], "overlap_dist": 12, "nearbi": [12, 25, 29], "onc": [12, 18, 21, 22, 25, 26, 30], "hasn": 12, "mark": [12, 25, 31], "yet": [12, 25, 26, 31], "test": [12, 25, 29], "ensur": [12, 25, 30], "close": [12, 15, 25, 29, 31], "break": 12, "what": [13, 20, 23, 25, 29], "There": [13, 31], "max": [13, 25, 29], "coords_min": 13, "amin": [13, 29], "coords_max": 13, "amax": [13, 29], "x_max": 13, "x_min": 13, "y_max": 13, "y_min": 13, "z_max": 13, "z_min": 13, "diag": 13, "isn": [13, 25], "create_cel": [13, 25], "polyhedredr": 14, "templat": [14, 26, 29], "ptm": [14, 25, 29], "poli": [14, 29], "quaternion": [14, 29], "rotat": [14, 16, 25, 29, 31], "zone": 14, "translat": [14, 16, 25, 29, 31], "rgb": [14, 25, 29, 31], "past": [14, 17], "window": [14, 17, 19, 29, 31], "quaternions_to_color": 14, "q": 14, "nx4": 14, "nx3": [14, 25, 29], "project": [14, 16, 19, 21, 23, 25, 31], "rodrigu": 14, "space": [14, 16, 17, 21, 23, 25, 26, 29, 31], "y": [14, 18, 20, 21, 25, 26, 29, 30, 31], "zeros_lik": 14, "rr": 14, "hack": 14, "theta": [14, 25, 29], "arctan": 14, "radian": [14, 21, 23, 31], "62": 14, "overlai": [15, 17, 20, 31], "matplotlib": [15, 19], "radial": [15, 25, 29], "agg": 15, "activ": [15, 24, 25, 28, 29, 30, 31], "backend": [15, 31], "off": [15, 23, 25, 29, 30], "screen": [15, 16, 17, 31], "pyplot": 15, "plt": 15, "qtgui": [15, 16, 17, 31], "arg": [15, 16, 17, 19, 31], "rdf": [15, 25, 29], "No": [15, 29, 31], "rdf_data": 15, "xy": [15, 16, 25, 26, 29], "inch": 15, "dpi": 15, "80": [15, 29], "plot_width": 15, "plot_height": 15, "figur": [15, 23, 25], "fig": 15, "ax": [15, 29, 31], "subplot": 15, "figsiz": 15, "patch": 15, "set_alpha": 15, "titl": [15, 25, 31], "tight_layout": 15, "buffer": [15, 29], "buf": 15, "canva": [15, 31], "print_to_buff": 15, "qimag": [15, 31], "res_x": 15, "res_i": 15, "img": 15, "format_rgba8888": 15, "paint": [15, 31], "onto": [15, 25], "painter": [15, 16, 17, 31], "drawimag": 15, "particlesvi": [16, 23, 25, 31], "pindex": 16, "point": [16, 24, 25, 26, 29, 31], "project_point": [16, 31], "none": [16, 24, 25, 26, 27, 28, 29, 30, 31], "particle_typ": [16, 25, 29], "type_by_id": [16, 25, 29], "pixel": [16, 29, 31], "screen_radiu": 16, "project_s": [16, 17, 31], "draw": [16, 25, 31], "dash": 16, "circl": [16, 25, 31], "pen": 16, "qpen": [16, 17], "qt": [16, 17, 31], "dashlin": 16, "setwidth": 16, "setcolor": 16, "qcolor": [16, 17], "255": [16, 17], "setpen": [16, 17], "drawellips": 16, "qpointf": 16, "arrow": [16, 23, 25, 29, 31], "arrow_shap": 16, "qpolygonf": 16, "40": [16, 17, 29, 31], "setbrush": 16, "qbrush": 16, "45": 16, "drawpolygon": 16, "fix": [17, 25, 28, 29, 30], "nm": 17, "shown": [17, 25, 29, 30, 31], "pictur": [17, 23, 25, 29, 31], "bar_length": 17, "angstrom": 17, "bar_color": 17, "label_text": 17, "f": [17, 25, 26, 28, 29], "label_color": 17, "is_perspect": [17, 31], "except": [17, 31], "perspect": [17, 20, 21, 23, 31], "screen_length": 17, "geometri": [17, 23, 25, 28, 29, 31], "height": [17, 31], "07": [17, 31], "margin": [17, 31], "02": [17, 31], "rect": 17, "qrectf": 17, "rectangl": [17, 31], "fillrect": 17, "font": [17, 31], "setpixels": 17, "setfont": 17, "drawtext": [17, 31], "aligncent": 17, "connect": [18, 25, 29, 31], "earlier": [18, 21], "other_simul": 18, "unlik": [18, 22, 25], "appear": [18, 23, 25, 26, 29, 30, 31], "visibl": [18, 21, 23, 24, 25, 29, 30, 31], "topic": [18, 21, 25], "sequenc": [18, 20, 21, 22, 25, 26, 29, 30, 31], "pattern": [18, 26], "1000": [18, 28], "2000": 18, "wildcard": [18, 26], "path": [18, 24, 26, 29, 30, 31], "directori": [18, 19, 26], "file_list": 18, "dir_a": [18, 26], "dir_b": [18, 26], "dir_c": 18, "tell": [18, 19, 22, 29, 31], "save": [18, 19, 21, 24, 26, 29, 31], "quickli": [18, 25], "scan": 18, "multi": [18, 29, 31], "discov": [18, 29], "demand": 18, "jump": [18, 29], "movi": [18, 20, 22, 23, 31], "md": [18, 26, 28, 29, 30], "molecular": [18, 25, 28, 29], "loadtrajectorymodifi": [18, 26, 29, 30], "traj_mod": [18, 29], "fetch": 18, "legaci": [18, 26], "outputfil": 18, "filenam": [18, 19, 21, 23, 24, 25, 26, 31], "One": [18, 29, 30], "expressionselect": [18, 29, 31], "criterion": [18, 29], "Such": [18, 20, 22, 25], "evolut": [18, 29], "potenergi": 18, "531": 18, "540": 18, "522": 18, "502": 18, "usual": [19, 22, 23, 25, 31], "regular": [19, 25, 28, 29, 31], "anaconda": 19, "pypi": 19, "repositori": 19, "http": [19, 26], "miniconda": 19, "strict": 19, "channel": 19, "prioriti": 19, "forg": 19, "latter": [19, 25, 26], "paid": 19, "licens": 19, "host": 19, "easili": [19, 20, 31], "confus": 19, "popular": 19, "ve": 19, "right": [19, 20, 21, 25, 29, 31], "preconfigur": [19, 20], "commonli": 19, "languag": [19, 29], "equip": 19, "locat": [19, 25, 26, 29, 30, 31], "subdirectori": 19, "linux": 19, "app": 19, "maco": 19, "launch": 19, "sai": 19, "hello": [19, 31], "x86_64": 19, "consol": [19, 26, 29], "almost": 19, "remot": [19, 26, 30, 31], "machin": 19, "possess": [19, 25, 31], "argv": [19, 29, 31], "setup": 19, "context": [19, 20, 21, 24, 25, 28, 30, 31], "camera": [19, 21, 23, 31], "everyth": [19, 24, 29], "anymor": 19, "observ": [19, 20], "debug": 19, "outcom": [19, 20], "dure": [19, 20, 25, 26, 28, 29, 30, 31], "processor": [19, 25, 28], "smaller": [19, 25, 29, 31], "myscript": 19, "cpython": 19, "tool": [19, 29, 31], "embed": [19, 25, 27, 31], "ship": [19, 20], "veri": [19, 25, 29, 30, 31], "package_nam": 19, "www": [19, 31], "nativ": [19, 29], "fail": [19, 26, 29], "compat": [19, 31], "recommend": [19, 21], "straightforward": 19, "workflow": [20, 22], "layer": [20, 31], "expos": [20, 25], "framework": [20, 31], "labori": 20, "repeatedli": [20, 22, 30], "carri": [20, 29, 31], "remove_hydrogen": 20, "hydrogen": [20, 29], "delet": [20, 25, 29, 30], "selecttypemodifi": [20, 29], "input_fil": 20, "h": [20, 25, 29], "choic": [20, 29, 31], "explain": 20, "later": [20, 25, 26, 28, 29, 30, 31], "especi": 20, "session": [20, 24, 30], "startup": 20, "essenti": [20, 21, 25], "enrich": 20, "familiar": 21, "concept": [21, 22], "respons": [21, 23, 25, 31], "wire": [21, 26, 30], "care": [21, 25, 30], "0x7f9ea70aefb0": 21, "reconfigur": 21, "reus": 21, "colorcodingmodifi": [21, 25, 29, 31], "slicemodifi": [21, 25, 29, 30], "instanti": [21, 29], "constructor": [21, 25, 29, 31], "only_select": [21, 29, 31], "equival": [21, 25, 26, 29], "obvious": 21, "known": [21, 23, 25, 29, 31], "sequenti": [21, 22], "outputdata": 21, "pipe": 21, "leav": [21, 25, 29], "heterogen": 21, "attributedataobject": 21, "148": 21, "147995": 21, "74": [21, 25], "0739975": 21, "07200623": 21, "03600311": 21, "0756073": 21, "03780365": 21, "enter": [21, 22, 30], "input_data": 21, "output_data": 21, "viewpoint": 21, "seen": [21, 31], "vp": [21, 23, 25, 31], "camera_po": [21, 23, 31], "150": [21, 23], "camera_dir": [21, 23, 25, 31], "fov": [21, 23, 31], "60": [21, 23], "virtual": [21, 29, 31], "angl": [21, 23, 25, 29, 31], "zoom_al": [21, 23, 25, 31], "render_imag": [21, 23, 25, 31], "myimag": 21, "png": [21, 23, 25, 31], "800": [21, 23], "600": [21, 23], "aspect": [21, 26, 31], "arrang": [22, 29], "filter": [22, 29, 31], "triangl": [22, 25, 31], "mesh": [22, 25, 26, 29, 31], "destruct": [22, 25], "repeat": 22, "ident": [22, 25], "attach": [22, 23, 25, 26, 29, 30, 31], "ad": [22, 24, 25, 29, 30, 31], "assigncolormodifi": [22, 25, 29], "last": [22, 24, 25, 29, 30, 31], "immedi": [22, 25, 30], "trigger": [22, 29, 30, 31], "left": [22, 24, 25, 31], "closer": [22, 29, 31], "recomput": [22, 29], "data1": [22, 30], "trajectory_": 22, "data_frame0": 22, "data_frame1": 22, "data_frame2": 22, "wrong": [22, 30], "atomicstrainmodifi": [22, 29, 30], "bodi": [22, 29], "longer": [22, 25, 29], "correct": [22, 25, 29], "ii": 22, "simulationcellvi": [23, 25, 31], "0x7f9a414c8060": 23, "0x7fc3650a1c20": 23, "rendering_color": [23, 25, 31], "red": [23, 25, 29], "datavi": [23, 25, 31], "hide": 23, "cubic": [23, 29, 31], "vectorvi": [23, 29, 31], "blue": 23, "front": [23, 25, 31], "ortho": [23, 31], "freeli": 23, "forget": 23, "reset": [23, 25, 31], "area": [23, 25, 29, 31], "choos": 23, "reason": [23, 25, 26, 30], "zoom": 23, "becom": [23, 25, 29, 31], "render_anim": [23, 31], "background": [23, 31], "avi": [23, 31], "fp": [23, 31], "20": [23, 25, 29, 30, 31], "speed": [23, 25, 31], "qualiti": [23, 31], "openglrender": [23, 29, 31], "fast": [23, 25, 30, 31], "hardwar": [23, 31], "acceler": [23, 31], "opengl": [23, 31], "tachyon": [23, 31], "shadow": [23, 31], "direct_light_intens": [23, 31], "univers": 24, "video": [24, 31], "retriev": [24, 25, 29, 30], "version_str": 24, "encompass": 24, "exactli": [24, 25, 29, 31], "str": [24, 25, 26, 29, 30, 31], "remove_from_scen": [24, 30], "del": [24, 25, 30, 31], "compris": [24, 29], "macro": 24, "enable_log": [24, 25, 29], "begin": [24, 25, 29, 30, 31], "unnotic": 24, "stderr": 24, "2d": [25, 29, 31], "3d": [25, 29, 31], "volumetr": [25, 29, 31], "trajectorylin": [25, 29, 31], "polyhedr": [25, 29], "trianglemesh": [25, 29, 31], "triangular": [25, 29], "dislocationnetwork": [25, 26, 29, 31], "discret": [25, 29, 31], "burger": [25, 29, 31], "elementtyp": [25, 29], "bondtyp": [25, 29], "dislocationseg": 25, "effici": [25, 29], "inherit": [25, 29], "bond_typ": [25, 29], "bond_type_list": 25, "length_prop": 25, "bondsvi": [25, 29, 31], "flat_shad": [25, 31], "width": [25, 29, 31], "bond_vector": 25, "opposit": [25, 29], "track": [25, 26], "shift": 25, "direct": [25, 27, 28, 29, 31], "cross": [25, 29, 30, 31], "product": 25, "dot": [25, 29], "pbc_vector": 25, "transpos": 25, "facilit": 25, "transform": [25, 29, 30, 31], "3x3": [25, 29], "summar": [25, 29], "snippet": [25, 29], "unwrap": [25, 29, 30], "mathbf": [25, 29], "v": 25, "_b": 25, "_a": 25, "cdot": [25, 29], "n_x": 25, "n_y": 25, "n_z": 25, "transpar": [25, 29, 31], "add_bond": 25, "pbcvec": 25, "integ": [25, 29, 31], "delta_vector": 25, "pbc_shift": 25, "undefin": 25, "permit": 25, "unord": 25, "warn": 25, "underli": 25, "invalid": [25, 29, 30], "usag": [25, 27, 28, 29, 30], "gz": [25, 26, 29, 31], "atom_styl": [25, 26, 29, 30, 31], "bondlength": 25, "bond_length": 25, "bonds_enum": 25, "bond_index": 25, "data_collect": [25, 27, 28], "prefetch": 25, "ptype": 25, "type_of_neighbor": 25, "distance_squar": 25, "fact": 25, "find_at": 25, "coord": [25, 29], "contrast": 25, "coincid": 25, "offset": [25, 29, 30, 31], "lot": 25, "better": [25, 29], "neighbor_vector": 25, "vec": 25, "piec": 25, "elementari": 25, "entiti": 25, "next": [25, 31], "bunch": 25, "accessor": 25, "surfac": [25, 29, 31], "success": [25, 29], "idx": 25, "arang": [25, 29], "constructsurfacemesh": [25, 29], "surface_area": [25, 29], "snapshot_140000": 25, "140000": 25, "ncluster": 25, "possibli": 25, "commonneighboranalysi": [25, 26, 29], "fcc_fraction": 25, "compute_fcc_fract": 25, "n_fcc": 25, "might": 25, "retain": 25, "inexpens": 25, "still": [25, 28, 31], "protect": 25, "against": 25, "make_mut": 25, "deep": 25, "vis_param": 25, "condition": 25, "maintain": [25, 29, 31], "boolean": [25, 29, 31], "logic": 25, "roughli": [25, 29, 31], "item": 25, "setattr": 25, "create_particl": [25, 30], "param": [25, 26, 27, 30], "preserv": [25, 29, 31], "06": [25, 31], "83": 25, "81": 25, "79": 25, "88": 25, "77": 25, "charge_density_grid": 25, "charg": [25, 26, 29, 31], "flat": [25, 29, 31], "flavor": 25, "get_vertic": 25, "predefin": [25, 29], "expect": [25, 29, 31], "forward": [25, 30, 31], "interv": [25, 28, 29, 31], "x_interv": 25, "x_coord": 25, "plot_mod": 25, "plotmod": 25, "axis_label_x": 25, "continu": [25, 29, 31], "trace": [25, 29, 31], "generatetrajectorylinesmodifi": [25, 29, 31], "triangle_mesh": 25, "abstract": [25, 29, 31], "concret": [25, 29, 30], "themselv": [25, 29], "target": [25, 29], "timeaveragingmodifi": [25, 29], "meaning": 25, "subobj": 25, "least": [25, 26], "convert": [25, 27, 28, 29, 31], "remain": [25, 29, 30], "doesn": [25, 30], "synchron": 25, "subclass": [25, 29], "evenli": 25, "equis": 25, "techniqu": [25, 29, 31], "co": [25, 27, 29, 30], "These": [25, 26, 31], "trigonometr": 25, "14": [25, 29, 31], "sin": [25, 29, 30], "y1y2": 25, "stack": [25, 29], "barchart": 25, "hcp": [25, 29], "bcc": [25, 29], "65": 25, "97": 25, "75": [25, 31], "four": 25, "trig": 25, "func": 25, "explicit": [25, 26, 30, 31], "absenc": 25, "equispac": 25, "implicit": [25, 29], "noplot": 25, "famili": 25, "extract": [25, 29, 31], "dislocationvi": [25, 29, 31], "diamond": [25, 29], "input_crystal_structur": [25, 28, 29], "cubicdiamond": [25, 29], "cell_volum": [25, 29], "segment": [25, 29, 31], "true_burgers_vector": [25, 29], "Or": [25, 29], "paraview": [25, 26, 29], "vtk": [25, 26, 29], "polylin": 25, "clip": 25, "domain": [25, 29], "set_seg": 25, "cluster_id": 25, "custom_color": 25, "crystallit": [25, 29], "cartesian": [25, 26, 29, 31], "flip": [25, 31], "sens": [25, 26, 29], "seg": 25, "dislocations_": 25, "neg": [25, 29, 30], "flipud": 25, "121": 25, "allclos": 25, "scheme": [25, 26, 29, 31], "impos": 25, "coloring_mod": [25, 31], "is_infinite_lin": 25, "is_loop": 25, "spatial_burgers_vector": 25, "type_by_nam": [25, 29], "inact": 25, "identif": [25, 29], "structureidentificationmodifi": [25, 29], "symbol": 25, "greater": [25, 31], "less": [25, 29], "xyz_coord": 25, "ascend": 25, "correctli": [25, 29], "technic": [25, 31], "find_al": 25, "core": [25, 29], "neigh_idx": 25, "neigh_vec": 25, "unspecifi": 25, "wise": [25, 29], "skip": [25, 29, 30, 31], "atomist": [25, 27], "establish": [25, 29], "prop": 25, "tid": 25, "assum": [25, 26], "si": 25, "backface_cul": [25, 31], "cull": 25, "polygon": [25, 29, 31], "awai": [25, 29, 30, 31], "viewer": [25, 31], "load_shap": 25, "highlight_edg": [25, 29, 31], "load_default": 25, "databas": 25, "filepath": 25, "obj": [25, 26], "stl": [25, 26], "tetrahedron": 25, "setup_particle_typ": 25, "geometr": [25, 29, 30], "sphere": [25, 29, 31], "cylind": [25, 31], "spherocylind": [25, 31], "ellipsoid": [25, 31], "superquadr": [25, 31], "presenc": [25, 31], "aspher": [25, 31], "round": [25, 31], "switch": [25, 31], "perman": [25, 31], "nylon": 25, "320": [25, 31], "240": [25, 31], "use_mesh_color": 25, "intrins": 25, "vdw_radiu": [25, 29], "van": [25, 29], "der": [25, 29], "waal": [25, 29], "decid": 25, "enough": [25, 29, 31], "veloc": [25, 26, 29, 31], "layout": [25, 31], "role": [25, 29], "angular": [25, 31], "momentum": 25, "centrosymmetri": [25, 29], "deform": [25, 29, 30], "gradient": [25, 29, 31], "xx": [25, 29], "yx": 25, "zx": 25, "yy": [25, 29], "zy": 25, "xz": [25, 29], "yz": [25, 29], "zz": [25, 29], "dipol": [25, 29, 31], "dna": 25, "strand": 25, "elast": [25, 29], "strain": [25, 26, 29], "forc": [25, 29, 31], "kinet": 25, "nucleobas": 25, "nucleotid": 25, "spin": 25, "tensor": [25, 29], "stress": [25, 29], "stretch": [25, 29], "torqu": 25, "liter": [25, 29], "mol_id": 25, "add_particl": 25, "increment": [25, 30], "create_bond": 25, "return_pbcvec": 25, "minimum": [25, 29, 30], "convent": [25, 26, 29, 30], "wrapper": 25, "r_a": 25, "r_b": 25, "shortest": 25, "bool": 25, "dihedr": 25, "improp": 25, "remap_indic": 25, "ndarrai": 25, "slice": [25, 29, 30], "storag": [25, 26], "101": 25, "99": 25, "compar": [25, 29], "permut": 25, "did": [25, 29], "optim": [25, 29], "remap": 25, "behavior": [25, 26, 29], "suppli": 25, "hydrogen_typ": 25, "hydrogen_indic": 25, "flatnonzero": 25, "structure_typ": 25, "th": [25, 29], "vectori": [25, 29, 31], "d": [25, 29], "modifiable_posit": 25, "position_": 25, "encod": [25, 29, 31], "node": 25, "tprop": 25, "fe": 25, "human": 25, "readabl": 25, "188": 25, "313": 25, "972": 25, "564": 25, "050": 25, "consecut": [25, 26], "similarli": 25, "fe_type_id": 25, "count_nonzero": [25, 29], "957": 25, "classif": [25, 29], "component_count": 25, "component_nam": [25, 26, 29], "raise_error": 25, "keyerror": 25, "type_id": [25, 29], "id_si": 25, "si_atom_count": 25, "type_by_name_": [25, 29], "renam": 25, "structure_types_": 25, "hexagon": [25, 29], "wurtzit": 25, "abc": 25, "dict": 25, "has_select": 25, "name_list": 25, "myint": 25, "infer": 25, "myvector": 25, "old": [25, 29], "delete_el": 25, "mask": [25, 29], "delete_indic": 25, "under": [25, 28, 29, 30, 31], "cast": [25, 29, 31], "parallelepip": 25, "fourth": [25, 29, 31], "pmatrix": 25, "a_x": 25, "b_x": 25, "c_x": 25, "o_x": 25, "a_i": 25, "b_y": 25, "c_y": 25, "o_i": 25, "a_z": 25, "b_z": 25, "c_z": 25, "o_z": 25, "major": [25, 29], "is2d": 25, "ignor": [25, 26, 29, 30, 31], "twice": 25, "larg": [25, 29, 31], "orthogon": [25, 31], "l_x": 25, "l_y": 25, "l_z": 25, "lx": 25, "ly": [25, 29], "lz": 25, "reduc": [25, 26, 29, 31], "p": 25, "quadruplet": 25, "multipli": 25, "p_cartesian": 25, "p_reduc": 25, "shorthand": 25, "matmul": 25, "affin": [25, 29, 30, 31], "revers": [25, 29, 30, 31], "oppos": 25, "somewhat": 25, "v_cartesian": 25, "vx": 25, "vy": 25, "vz": 25, "v_reduc": 25, "v_cartesian_out": 25, "forth": [25, 27, 30], "cartesian_posit": 25, "reduced_posit": 25, "cartesian_positions_out": 25, "linear": [25, 29, 31], "wirefram": [25, 31], "ra": 25, "rb": 25, "abl": [25, 29], "bring": 25, "reciproc": [25, 29], "bmatrix": 25, "real": [25, 29], "frac": 25, "qquad": 25, "mathrm": [25, 29], "absolut": [25, 29], "submatrix": 25, "tripl": 25, "ab": 25, "det": 25, "volume2d": 25, "v_": 25, "manifold": [25, 29, 31], "planar": 25, "createisosurfacemodifi": [25, 29, 31], "coordinationpolyhedramodifi": [25, 29], "isolevel": [25, 29], "05": [25, 29], "isosurfac": [25, 29], "halfedg": 25, "circular": 25, "surfacemeshtopologi": [25, 31], "vertex": [25, 29, 31], "vertex_coord": 25, "surfacemeshvi": [25, 29, 31], "color_mapping_mod": [25, 31], "colormappingmod": [25, 31], "color_mapping_properti": [25, 29, 31], "color_mapping_interv": [25, 29, 31], "isosurface_": 25, "vertices_": 25, "xoffset": 25, "yoffset": 25, "zoffset": 25, "intersect": [25, 31], "to_triangle_mesh": 25, "subdivid": 25, "enclos": [25, 29, 31], "interior": [25, 29, 31], "exterior": [25, 29, 31], "locate_point": 25, "degener": 25, "unabl": 25, "discrimin": 25, "space_filling_region": 25, "truncat": [25, 29], "cap": [25, 31], "hole": 25, "trimesh": [25, 26], "surface_mesh": [25, 29], "plane": [25, 29], "cut": [25, 29, 30, 31], "get_clipping_plan": 25, "set_clipping_plan": 25, "transient": 25, "connect_opposite_halfedg": 25, "link": [25, 31], "bound": [25, 29, 31], "adjac": [25, 29], "successfulli": [25, 30], "said": 25, "contigu": [25, 26, 29], "wind": 25, "clockwis": 25, "counter": 25, "is_clos": [25, 31], "opposite_edg": 25, "has_opposite_edg": 25, "create_fac": 25, "faster": 25, "convex": [25, 29], "incorrectli": [25, 31], "quad": 25, "adopt": [25, 31], "quadrilater": 25, "vert": 25, "create_vertic": 25, "vertex_list": 25, "3n": 25, "triangle_list": 25, "reshap": 25, "prefix": [25, 29], "face_count": 25, "vertex_count": 25, "independ": [25, 29, 30], "sign": [25, 29], "get_face_vertic": 25, "ep": 25, "reserv": 25, "precis": [25, 26, 29], "threshold": [25, 29], "disabl": [25, 29, 30, 31], "never": [25, 29], "unstabl": 25, "facemap": 25, "Will": [25, 29], "interpol": [25, 29, 31], "across": 25, "topolog": 25, "edge_count": 25, "depict": [25, 31], "half": [25, 29], "first_vertex_edg": 25, "next_vertex_edg": 25, "first_face_edg": 25, "next_face_edg": 25, "prev_face_edg": 25, "adjacent_fac": 25, "count_face_edg": 25, "count_manifold": 25, "count_vertex_edg": 25, "find_edg": 25, "vertex1": 25, "vertex2": 25, "first_edge_vertex": 25, "second_edge_vertex": 25, "first_face_vertex": 25, "head": [25, 30, 31], "has_opposite_fac": 25, "partner": 25, "opposite_fac": 25, "border": [25, 31], "show_cap": [25, 29, 31], "backward": 25, "rememb": 25, "reach": 25, "count_edg": 25, "start_edg": 25, "next_manifold_edg": 25, "outgo": 25, "get_neighboring_fac": 25, "opp_edg": 25, "trajectoryvi": [25, 29, 31], "particle_id": 25, "time_stamp": 25, "stamp": 25, "someth": 25, "low": 25, "sent": 25, "gpu": 25, "trianglemeshvi": [25, 29, 31], "n_": 25, "get_fac": 25, "set_fac": 25, "vertex_indic": 25, "set_vertic": 25, "parallelogram": 25, "chgcar": [25, 29, 31], "electron": 25, "vasp": [25, 26, 29, 31], "spatialbinningmodifi": [25, 29, 31], "unstructur": 25, "outer": [25, 31], "03": [25, 31], "nx": 25, "ny": 25, "nz": 25, "field_data": 25, "voxelgridvi": [25, 29, 31], "slowest": 25, "vari": [25, 26, 29], "fortran": 25, "flatten": 25, "resiz": [25, 29, 31], "pov": 26, "rai": [26, 31], "compress": 26, "zlib": 26, "librari": 26, "charact": 26, "conjunct": [26, 29, 30], "imd": 26, "poscar": 26, "fhi": 26, "aim": 26, "gsd": [26, 29], "hoomd": 26, "netcdf": 26, "amber": 26, "binari": [26, 29], "povrai": 26, "refin": [26, 31], "start_fram": [26, 30], "end_fram": [26, 30], "every_nth_fram": 26, "prefer": 26, "digit": 26, "17": 26, "style": [26, 31], "hybrid": 26, "atom_substyl": 26, "suppress": 26, "omit_mass": 26, "ignore_identifi": 26, "sftp": 26, "url": [26, 30], "won": [26, 29, 31], "addition": [26, 29, 31], "animat": 26, "variant": 26, "combin": [26, 29, 30, 31], "sim": 26, "200": [26, 29], "sim_a": 26, "sim_b": 26, "frame_index": 26, "sourcefil": 26, "sourcefram": [26, 29], "unless": [26, 29, 30, 31], "hint": 26, "write_data": 26, "full_model": 26, "hybrid_model": 26, "tag": 26, "appropri": [26, 29], "touch": 26, "reorder": 26, "former": 26, "primarili": 26, "rare": 26, "auto": 26, "input_format": 26, "castep": 26, "cfg": 26, "cif": 26, "dlpoli": 26, "galamost": 26, "gaussian": [26, 29], "cube": 26, "gro": [26, 29], "mmcif": 26, "oxdna": 26, "paradi": 26, "parca": 26, "pdb": 26, "quantumespresso": 26, "reaxff": 26, "pvd": 26, "vti": 26, "vtm": 26, "vtp": 26, "vt": 26, "xsf": 26, "xtc": 26, "file_format": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_loc": [], "exchang": [27, 28], "ASE": 27, "ovito_to_as": 27, "ase_to_ovito": 27, "importerror": 27, "pip": 27, "pip3": 27, "ase_atom": 27, "deal": 28, "lammps_to_ovito": 28, "lmp": 28, "rank": 28, "On": 28, "experiment": 28, "contact": 28, "transfer": [28, 29, 31], "perform_dxa": 28, "end_of_step": 28, "defect": [28, 29], "lammps_ptr": 28, "ptr": 28, "mpi": 28, "dxa": [28, 29], "get_thermo": 28, "consult": 29, "depth": [29, 31], "acklandjonesmodifi": 29, "ackland": 29, "jone": 29, "ambientocclusionmodifi": 29, "ambient": [29, 31], "occlus": [29, 31], "bondanalysismodifi": 29, "centrosymmetrymodifi": 29, "chillplusmodifi": 29, "chill": 29, "clearselectionmodifi": 29, "clear": 29, "colorbytypemodifi": 29, "combinedatasetsmodifi": 29, "elasticstrainmodifi": 29, "expandselectionmodifi": 29, "expand": 29, "freezepropertymodifi": 29, "grainsegmentationmodifi": 29, "grain": 29, "identifydiamondmodifi": 29, "invertselectionmodifi": 29, "invert": 29, "replicatemodifi": 29, "replic": 29, "smoothtrajectorymodifi": 29, "smooth": [29, 31], "spatialcorrelationfunctionmodifi": 29, "correl": 29, "timeseriesmodifi": 29, "unwraptrajectoriesmodifi": 29, "vorotopmodifi": 29, "vorotop": 29, "wignerseitzanalysismodifi": [29, 30], "wigner": 29, "seitz": 29, "wrapperiodicimagesmodifi": [29, 30], "miss": 29, "crystallin": 29, "propos": 29, "ico": 29, "color_by_typ": 29, "acklandjon": 29, "recogn": [29, 31], "pack": 29, "icosahedr": 29, "shear": 29, "vector_properti": 29, "ones": 29, "diagon": 29, "xy_shear": 29, "mod": [29, 30], "deg2rad": 29, "tm": 29, "reduced_coord": 29, "relative_mod": 29, "target_cel": 29, "rel": [29, 30, 31], "light": [29, 31], "bright": [29, 31], "accord": [29, 31], "degre": [29, 31], "improv": 29, "complex": 29, "buffer_resolut": 29, "resolut": [29, 31], "higher": [29, 31], "intens": [29, 31], "strength": [29, 31], "shade": [29, 31], "sample_count": 29, "exposur": 29, "sampl": [29, 31], "surface_vertic": 29, "surface_fac": 29, "surface_region": 29, "particularli": 29, "displacementmagnitud": 29, "referenceconfigurationmodifi": [29, 30], "von": 29, "mise": 29, "invari": 29, "green": 29, "lagrangian": 29, "six": 29, "symmetr": 29, "output_strain_tensor": 29, "nine": 29, "output_deformation_gradi": 29, "polar": 29, "decomposit": 29, "ru": 29, "output_stretch_tensor": 29, "microrot": 29, "output_rot": 29, "nonaffin": 29, "measur": [29, 31], "falk": 29, "langer": 29, "output_nonaffine_squared_displac": 29, "select_invalid_particl": 29, "atomicstrain": 29, "invalid_particle_count": 29, "increas": 29, "taken": [29, 30, 31], "insuffici": 29, "partit": 29, "byparticletyp": 29, "byparticleselect": 29, "bybondtyp": [29, 31], "bybondselect": 29, "distr": 29, "bond_angl": 29, "instantan": 29, "traj": 29, "avg_bond_angl": 29, "180": 29, "cosine_mod": 29, "cosin": 29, "length_cutoff": 29, "exce": 29, "instruct": 29, "split": 29, "partial": 29, "hidden": [29, 31], "csp": 29, "disord": 29, "centrosymmetr": 29, "perfect": 29, "pick": [29, 31], "treat": 29, "speci": 29, "water": 29, "hexagonal_ic": 29, "cubic_ic": 29, "interfacial_ic": 29, "hydrat": 29, "interfacial_hydr": 29, "chillplu": 29, "ic": 29, "interfaci": 29, "disconnect": 29, "largest_s": 29, "largest": 29, "sort_by_s": 29, "compute_com": 29, "gyrat": 29, "compute_gyr": 29, "cluster_t": 29, "cluster_color": 29, "neighbor_mod": 29, "cutoffrang": 29, "neighbormod": 29, "unwrap_particl": 29, "residu": 29, "gromac": 29, "1aki": 29, "residue_typ": 29, "prepend": 29, "setup_residue_color": 29, "type_": 29, "glu": 29, "property_nam": 29, "input_properti": 29, "output_color": 29, "element_typ": 29, "clear_select": 29, "reveal": 29, "unselect": 29, "hot": 29, "start_valu": [29, 31], "end_valu": [29, 31], "colorlegendoverlai": [29, 31], "legend": [29, 31], "auto_adjust_rang": 29, "adapt": [29, 31], "irrespect": [29, 30], "soon": 29, "bluewhit": 29, "grayscal": 29, "jet": 29, "magma": 29, "rainbow": [29, 31], "viridi": 29, "linearli": 29, "color_t": 29, "yellow": 29, "white": 29, "merg": 29, "primari": 29, "first_fil": [29, 30], "fixedcutoff": 29, "adaptivecutoff": 29, "intervalcutoff": 29, "cellsiz": 29, "syntax": 29, "pore": 29, "alpha": [29, 31], "alphashap": 29, "delaunai": 29, "accommod": 29, "probe": 29, "classifi": 29, "morphologi": 29, "resolv": [29, 31], "larger": [29, 31], "fewer": 29, "coars": 29, "finer": 29, "stukowski": 29, "jom": 29, "66": 29, "2014": 29, "399": 29, "407": 29, "cite": 29, "publish": 29, "smear": 29, "site": 29, "decai": 29, "finit": 29, "diamet": [29, 31], "gaussiandens": 29, "radius_sc": 29, "identify_region": 29, "aggreg": 29, "filled_volum": 29, "specific_surface_area": 29, "empty_volum": 29, "filled_fract": 29, "unitless": 29, "empty_fract": 29, "filled_region_count": 29, "empty_region_count": 29, "void": 29, "isol": 29, "select_surface_particl": 29, "compute_dist": 29, "map_particles_to_region": 29, "grid_resolut": 29, "longest": 29, "stage": 29, "slightli": 29, "procedur": 29, "smoothing_level": 29, "try": 29, "particle_region": 29, "regions_t": 29, "thumb": 29, "extent": 29, "transfer_properti": 29, "blend": 29, "number_of_bin": 29, "accumul": [29, 31], "total_rdf": 29, "savetxt": 29, "rdf_tabl": 29, "rdf_name": 29, "everth": 29, "hull": 29, "semi": [29, 31], "surface_transpar": [29, 31], "vdwradiu": 29, "pairwis": 29, "intra_molecule_onli": 29, "transit": 29, "createbond": 29, "num_bond": 29, "upper": [29, 31], "get_pairwise_cutoff": 29, "type_a": 29, "type_b": 29, "set_pairwise_cutoff": 29, "lower_cutoff": 29, "prevent_hh_bond": 29, "nospin": [29, 31], "00014": 29, "bin_count": 29, "reduction_oper": 29, "transfer_valu": 29, "asid": 29, "trilinear": 29, "secondari": [29, 30], "msmse": 29, "2012": 29, "085007": 29, "ijk": 29, "broken": 29, "112": 29, "shocklei": 29, "unusu": 29, "hexagonaldiamond": 29, "circuit_stretch": 29, "circuit": 29, "defect_mesh_smoothing_level": 29, "defect_vi": 29, "disloc_vi": 29, "line_coarsening_en": 29, "coarsen": 29, "line_point_separ": 29, "interatom": 29, "amount": 29, "line_smoothing_en": 29, "line_smoothing_level": 29, "only_perfect_disloc": 29, "dissoci": 29, "wide": 29, "trial_circuit_length": 29, "trial": 29, "calculate_deformation_gradi": 29, "null": 29, "calculate_strain_tensor": 29, "axial_ratio": 29, "symmetri": 29, "lattice_const": 29, "push_strain_tensors_forward": 29, "eulerian": 29, "almansi": 29, "materi": [29, 31], "expansionmod": 29, "recurs": [29, 31], "ev": [29, 31], "got": 29, "reimplement": 29, "select_atom": 29, "sel": 29, "limit": [29, 31], "therebi": 29, "fulfil": 29, "pars": 29, "mupars": 29, "omit": [29, 31], "incorpor": 29, "shearstrain": 29, "pl": 29, "source_properti": 29, "destination_properti": 29, "coord0": 29, "freeze_at": 29, "comapr": 29, "frozen": 29, "exhibit": [29, 31], "destin": 29, "motion": 29, "curv": 29, "frame_interv": 29, "sample_particle_properti": [29, 31], "pseudo": [29, 31], "velocity_magnitud": 29, "sampling_frequ": 29, "unwrap_trajectori": 29, "polycrystallin": 29, "microstructur": 29, "color_particl": 29, "grainsegment": 29, "grain_count": 29, "graphclusteringauto": 29, "graphclusteringmanu": 29, "minimumspanningtre": 29, "handle_stacking_fault": 29, "handl": [29, 30], "fault": 29, "coher": 29, "twin": 29, "merging_threshold": 29, "contract": 29, "lower": [29, 31], "min_grain_s": 29, "dissolv": 29, "orphan_adopt": 29, "fix_xrang": 29, "xrange_start": 29, "xrange_end": 29, "peatom": [29, 31], "discard": 29, "cubic_diamond": 29, "cubic_diamond_first_neighbor": 29, "cubic_diamond_second_neighbor": 29, "hex_diamond": 29, "hex_diamond_first_neighbor": 29, "hex_diamond_second_neighbor": 29, "identifydiamond": 29, "bonds_mod": 29, "btype": 29, "batom1": 29, "batom2": 29, "dist": 29, "engpot": 29, "c_1": 29, "c_2": 29, "motiv": 29, "compound": 29, "output_ord": 29, "sc": 29, "graphen": 29, "rmsd": 29, "output_rmsd": 29, "output_interatomic_dist": 29, "output_orient": 29, "orderingtyp": 29, "pure": 29, "l10": 29, "l12_a": 29, "l12_b": 29, "zincblende_wurtzit": 29, "boron_nitrid": 29, "polyhedraltemplatematch": 29, "rigid": 29, "rmsd_cutoff": 29, "root": 29, "spuriou": 29, "assign_color": 29, "free": 29, "adjust_box": 29, "accordingli": 29, "fit": [29, 31], "num_x": 29, "num_i": 29, "num_z": 29, "unique_id": 29, "replica": 29, "selecttyp": 29, "num_select": 29, "slab": 29, "Its": 29, "miller": 29, "gridslice_vi": 29, "hkl": 29, "interplanar": 29, "d_": 29, "slab_width": 29, "plane_vi": 29, "render_plan": 29, "mathemat": 29, "thick": 29, "smoothen": 29, "fluctuat": 29, "thermal": 29, "vibrat": 29, "minimum_image_convent": [29, 30], "window_s": 29, "slide": [29, 30], "reduct": 29, "first_deriv": 29, "velocity_profil": 29, "uniti": 29, "sumvol": 29, "align": [29, 31], "perpendicular": 29, "approxim": 29, "grid_vi": [29, 31], "exclud": 29, "pressur": 29, "virial": 29, "fft": 29, "convolut": 29, "summat": 29, "property1": 29, "property2": 29, "real_correlation_funct": 29, "varianc": 29, "c_norm": 29, "mean1": 29, "correlationfunct": 29, "mean2": 29, "covari": 29, "normalized_real_correlation_funct": 29, "apply_window": 29, "hann": 29, "oscil": 29, "power": 29, "law": 29, "rectangular": [29, 31], "direct_summ": 29, "grid_spac": 29, "neighbor_bin": 29, "neighbor_cutoff": 29, "p1": 29, "p2": 29, "autocorrel": 29, "matter": 29, "hierarch": 29, "coarser": 29, "time_attribut": 29, "fold": 29, "unfold": 29, "lazar": 29, "han": 29, "srolovitz": 29, "pna": 29, "43": 29, "2015": 29, "weinberg": 29, "ieee": 29, "tran": 29, "theori": 29, "13": 29, "1966": 29, "websit": [29, 31], "suit": 29, "temperatur": 29, "heat": 29, "melt": 29, "robust": 29, "reliev": 29, "quench": 29, "minim": 29, "webpag": 29, "filter_fil": 29, "dispers": 29, "mono": 29, "caviti": 29, "farthest": 29, "max_face_ord": 29, "fall": 29, "generate_bond": 29, "bonds_vi": [29, 31], "shorter": 29, "face_threshold": 29, "whatev": 29, "relative_face_threshold": 29, "generate_polyhedra": 29, "mesh_vi": 29, "01": [29, 31], "occup": 29, "wignerseitz": 29, "vacancy_count": 29, "vacant": 29, "interstitial_count": 29, "interstiti": 29, "minu": 29, "antisit": 29, "exemplarili": 29, "occupi": 29, "per_type_occup": 29, "affine_map": [29, 30], "affinemap": [29, 30], "torefer": [29, 30], "site_typ": 29, "total_occup": 29, "antisite_count": 29, "output_displac": 29, "throw": 29, "interest": 29, "pertain": 29, "pythonscriptsourc": 30, "yourself": 30, "encount": [30, 31], "setup_atom_typ": 30, "slider": 30, "cach": 30, "source_path": 30, "encapsul": 30, "chain": 30, "feed": 30, "And": 30, "hood": 30, "recalcul": 30, "block": 30, "due": [30, 31], "nor": 30, "persist": 30, "downstream": 30, "disappear": 30, "comparison": 30, "reference_fram": 30, "use_frame_offset": 30, "frame_offset": 30, "upon": 30, "experienc": 30, "trivial": 30, "slight": 30, "tocurr": 30, "consider": 30, "config": 30, "viewportoverlai": 31, "coordinatetripodoverlai": 31, "pythonviewportoverlai": 31, "cylindr": 31, "coloringmod": 31, "byparticl": 31, "natur": 31, "underlai": 31, "alignleft": 31, "aligntop": 31, "offset_i": 31, "04": 31, "font_siz": 31, "format_str": 31, "2f": 31, "importantli": 31, "spectrum": 31, "color_mapping_sourc": 31, "02186": 31, "05465": 31, "corner": 31, "anchor": 31, "alignmentflag": 31, "alignhcent": 31, "alignbottom": 31, "aspect_ratio": 31, "narrow": 31, "border_color": 31, "border_en": 31, "comma": 31, "understood": 31, "qfont": 31, "fromstr": 31, "arial": 31, "bold": 31, "sprintf": 31, "decim": 31, "label1": 31, "label2": 31, "legend_s": 31, "offset_x": 31, "horizont": 31, "outline_color": 31, "outline_en": 31, "slash": 31, "text_color": 31, "tripod": 31, "alignright": 31, "axis1_color": 31, "axis1_dir": 31, "axis1_en": 31, "axis1_label": 31, "axis2_color": 31, "axis2_dir": 31, "axis2_en": 31, "axis2_label": 31, "axis3_color": 31, "axis3_dir": 31, "axis3_en": 31, "axis3_label": 31, "axis4_color": 31, "axis4_dir": 31, "7071": 31, "axis4_en": 31, "axis4_label": 31, "075": 31, "burgers_vector_color": 31, "burgers_vector_sc": 31, "exagger": 31, "burgers_vector_width": 31, "bydislocationtyp": 31, "byburgersvector": 31, "bycharact": 31, "show_burgers_vector": 31, "show_line_direct": 31, "fidel": 31, "osprai": 31, "focal": 31, "blur": 31, "ambient_bright": 31, "radianc": 31, "ambient_light_en": 31, "illumin": 31, "infin": 31, "apertur": 31, "focu": 31, "dof_en": 31, "denoising_en": 31, "denois": 31, "mont": 31, "carlo": 31, "nois": 31, "inher": 31, "stochast": 31, "direct_light_angular_diamet": 31, "appar": 31, "soft": 31, "direct_light_en": 31, "focal_length": 31, "sharp": 31, "material_shini": 31, "specular": 31, "phong": 31, "expon": 31, "000": 31, "material_specular_bright": 31, "max_ray_recurs": 31, "raytrac": 31, "refinement_iter": 31, "until": 31, "stop": 31, "samples_per_pixel": 31, "alias": 31, "artifact": 31, "sky_albedo": 31, "ground": 31, "sky": 31, "sun": 31, "sky_light_en": 31, "sky_bright": 31, "outdoor": 31, "sky_turbid": 31, "atmospher": 31, "turbid": 31, "ssh": 31, "refus": 31, "antialiasing_level": 31, "supersampl": 31, "vis_el": 31, "usabl": 31, "render_some_text": 31, "world": 31, "qpainter": 31, "issu": 31, "frustum": 31, "proj_tm": 31, "4x4": 31, "world_xyz": 31, "lai": 31, "lie": 31, "view_tm": 31, "contextu": 31, "propag": 31, "cell_vi": 31, "render_cel": 31, "cap_color": 31, "cap_transpar": 31, "opaqu": 31, "color_mapping_gradi": 31, "surface_color": 31, "reverse_orient": 31, "smooth_shad": 31, "ambient_occlus": 31, "omnidirect": 31, "diffus": 31, "overcast": 31, "dai": 31, "ambient_occlusion_bright": 31, "ambient_occlusion_sampl": 31, "antialias": 31, "antialiasing_sampl": 31, "depth_of_field": 31, "direct_light": 31, "exponenti": 31, "6g": 31, "source_pipelin": 31, "placehold": 31, "html": 31, "css": 31, "markup": 31, "upto_current_tim": 31, "wrapped_lin": 31, "85": 31, "vector_vi": 31, "my_modifier_funct": 31, "vector_data": 31, "glyph": 31, "reposit": 31, "dialog": 31, "camera_up": 31, "upward": 31, "create_jupyter_widget": 31, "kwarg": 31, "ipywidget": 31, "domwidget": 31, "widget": 31, "jupyt": 31, "notebook": 31, "vice": 31, "versa": 31, "500px": 31, "400px": 31, "refresh": 31, "jupyterlab": 31, "tracker": 31, "forum": 31, "create_qt_widget": 31, "platform": 31, "qwidget": 31, "qt6": 31, "pyside6": 31, "older": 31, "qt5": 31, "pyside2": 31, "pysid": 31, "getenv": 31, "qt_api": 31, "qeventloop": 31, "qtimer": 31, "qtwidget": 31, "qapplic": 31, "myapp": 31, "qcoreappl": 31, "500": 31, "400": 31, "setwindowtitl": 31, "demo": 31, "shut": 31, "destroi": 31, "quit": 31, "ui": 31, "exec_": 31, "littl": 31, "eventloop": 31, "640": 31, "480": 31, "every_nth": 31, "mp4": 31, "mov": 31, "gif": 31, "jpeg": 31, "playback": 31, "crop": 31, "tiff": 31, "superimpos": 31, "backdrop": 31, "headless": 31, "hpc": 31, "opportun": 31, "bottom": 31, "highlight_grid_lin": 31, "interpolate_color": 31, "smoothli": 31}, "objects": {"": [[24, 0, 0, "-", "ovito"]], "ovito": [[24, 1, 1, "", "Scene"], [25, 0, 0, "-", "data"], [24, 4, 1, "", "enable_logging"], [26, 0, 0, "-", "io"], [29, 0, 0, "-", "modifiers"], [30, 0, 0, "-", "pipeline"], [24, 5, 1, "", "scene"], [24, 5, 1, "", "version"], [24, 5, 1, "", "version_string"], [31, 0, 0, "-", "vis"]], "ovito.Scene": [[24, 2, 1, "", "load"], [24, 3, 1, "", "pipelines"], [24, 2, 1, "", "save"], [24, 3, 1, "", "selected_pipeline"]], "ovito.data": [[25, 1, 1, "", "BondType"], [25, 1, 1, "", "Bonds"], [25, 1, 1, "", "BondsEnumerator"], [25, 1, 1, "", "CutoffNeighborFinder"], [25, 1, 1, "", "DataCollection"], [25, 1, 1, "", "DataObject"], [25, 1, 1, "", "DataTable"], [25, 1, 1, "", "DislocationNetwork"], [25, 1, 1, "", "DislocationSegment"], [25, 1, 1, "", "ElementType"], [25, 1, 1, "", "NearestNeighborFinder"], [25, 1, 1, "", "ParticleType"], [25, 1, 1, "", "Particles"], [25, 1, 1, "", "Property"], [25, 1, 1, "", "PropertyContainer"], [25, 1, 1, "", "SimulationCell"], [25, 1, 1, "", "SurfaceMesh"], [25, 1, 1, "", "SurfaceMeshTopology"], [25, 1, 1, "", "TrajectoryLines"], [25, 1, 1, "", "TriangleMesh"], [25, 1, 1, "", "VoxelGrid"]], "ovito.data.Bonds": [[25, 2, 1, "", "add_bond"], [25, 3, 1, "", "bond_types"], [25, 3, 1, "", "colors"], [25, 3, 1, "", "pbc_vectors"], [25, 3, 1, "", "selection"], [25, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[25, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[25, 2, 1, "", "find"], [25, 2, 1, "", "find_at"], [25, 2, 1, "", "neighbor_distances"], [25, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[25, 2, 1, "", "apply"], [25, 3, 1, "", "attributes"], [25, 3, 1, "", "cell"], [25, 2, 1, "", "clone"], [25, 2, 1, "", "create_cell"], [25, 2, 1, "", "create_particles"], [25, 3, 1, "", "dislocations"], [25, 3, 1, "", "grids"], [25, 3, 1, "", "objects"], [25, 3, 1, "", "particles"], [25, 3, 1, "", "surfaces"], [25, 3, 1, "", "tables"], [25, 3, 1, "", "trajectories"], [25, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[25, 3, 1, "", "identifier"], [25, 2, 1, "", "make_mutable"], [25, 3, 1, "", "vis"]], "ovito.data.DataTable": [[25, 3, 1, "", "axis_label_x"], [25, 3, 1, "", "interval"], [25, 3, 1, "", "plot_mode"], [25, 3, 1, "", "x"], [25, 2, 1, "", "xy"], [25, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[25, 3, 1, "", "segments"], [25, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[25, 3, 1, "", "cluster_id"], [25, 3, 1, "", "custom_color"], [25, 3, 1, "", "id"], [25, 3, 1, "", "is_infinite_line"], [25, 3, 1, "", "is_loop"], [25, 3, 1, "", "length"], [25, 3, 1, "", "points"], [25, 3, 1, "", "spatial_burgers_vector"], [25, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[25, 3, 1, "", "color"], [25, 3, 1, "", "enabled"], [25, 3, 1, "", "id"], [25, 3, 1, "", "name"]], "ovito.data.NearestNeighborFinder": [[25, 2, 1, "", "find"], [25, 2, 1, "", "find_all"], [25, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[25, 3, 1, "", "backface_culling"], [25, 3, 1, "", "highlight_edges"], [25, 2, 1, "", "load_defaults"], [25, 2, 1, "", "load_shape"], [25, 3, 1, "", "mass"], [25, 3, 1, "", "radius"], [25, 3, 1, "", "shape"], [25, 3, 1, "", "use_mesh_color"], [25, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[25, 2, 1, "", "add_particle"], [25, 3, 1, "", "angles"], [25, 3, 1, "", "bonds"], [25, 3, 1, "", "colors"], [25, 2, 1, "", "create_bonds"], [25, 2, 1, "", "delta_vector"], [25, 3, 1, "", "dihedrals"], [25, 3, 1, "", "forces"], [25, 3, 1, "", "identifiers"], [25, 3, 1, "", "impropers"], [25, 3, 1, "", "masses"], [25, 3, 1, "", "orientations"], [25, 3, 1, "", "particle_types"], [25, 3, 1, "", "positions"], [25, 2, 1, "", "remap_indices"], [25, 3, 1, "", "selection"], [25, 3, 1, "", "structure_types"], [25, 3, 1, "", "velocities"]], "ovito.data.Property": [[25, 3, 1, "", "component_count"], [25, 3, 1, "", "component_names"], [25, 3, 1, "", "name"], [25, 2, 1, "", "type_by_id"], [25, 2, 1, "", "type_by_name"], [25, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[25, 3, 1, "", "count"], [25, 2, 1, "", "create_property"], [25, 2, 1, "", "delete_elements"], [25, 2, 1, "", "delete_indices"], [25, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[25, 2, 1, "", "delta_vector"], [25, 3, 1, "", "inverse"], [25, 3, 1, "", "is2D"], [25, 3, 1, "", "pbc"], [25, 3, 1, "", "volume"], [25, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[25, 2, 1, "", "connect_opposite_halfedges"], [25, 2, 1, "", "create_face"], [25, 2, 1, "", "create_faces"], [25, 2, 1, "", "create_vertices"], [25, 3, 1, "", "domain"], [25, 3, 1, "", "faces"], [25, 2, 1, "", "get_clipping_planes"], [25, 2, 1, "", "get_face_vertices"], [25, 2, 1, "", "locate_point"], [25, 3, 1, "", "regions"], [25, 2, 1, "", "set_clipping_planes"], [25, 3, 1, "", "space_filling_region"], [25, 2, 1, "", "to_triangle_mesh"], [25, 3, 1, "", "topology"], [25, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[25, 2, 1, "", "adjacent_face"], [25, 2, 1, "", "count_face_edges"], [25, 2, 1, "", "count_manifolds"], [25, 2, 1, "", "count_vertex_edges"], [25, 3, 1, "", "edge_count"], [25, 3, 1, "", "face_count"], [25, 2, 1, "", "find_edge"], [25, 2, 1, "", "first_edge_vertex"], [25, 2, 1, "", "first_face_edge"], [25, 2, 1, "", "first_face_vertex"], [25, 2, 1, "", "first_vertex_edge"], [25, 2, 1, "", "has_opposite_edge"], [25, 2, 1, "", "has_opposite_face"], [25, 3, 1, "", "is_closed"], [25, 2, 1, "", "next_face_edge"], [25, 2, 1, "", "next_manifold_edge"], [25, 2, 1, "", "next_vertex_edge"], [25, 2, 1, "", "opposite_edge"], [25, 2, 1, "", "opposite_face"], [25, 2, 1, "", "prev_face_edge"], [25, 2, 1, "", "second_edge_vertex"], [25, 3, 1, "", "vertex_count"]], "ovito.data.TrajectoryLines": [[25, 3, 1, "", "particle_ids"], [25, 3, 1, "", "positions"], [25, 3, 1, "", "time_stamps"]], "ovito.data.TriangleMesh": [[25, 3, 1, "", "face_count"], [25, 2, 1, "", "get_faces"], [25, 2, 1, "", "get_vertices"], [25, 2, 1, "", "set_faces"], [25, 2, 1, "", "set_vertices"], [25, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[25, 3, 1, "", "domain"], [25, 3, 1, "", "shape"]], "ovito.io": [[27, 0, 0, "-", "ase"], [26, 4, 1, "", "export_file"], [26, 4, 1, "", "import_file"], [28, 0, 0, "-", "lammps"]], "ovito.io.ase": [[27, 4, 1, "", "ase_to_ovito"], [27, 4, 1, "", "ovito_to_ase"]], "ovito.io.lammps": [[28, 4, 1, "", "lammps_to_ovito"]], "ovito.modifiers": [[29, 1, 1, "", "AcklandJonesModifier"], [29, 1, 1, "", "AffineTransformationModifier"], [29, 1, 1, "", "AmbientOcclusionModifier"], [29, 1, 1, "", "AssignColorModifier"], [29, 1, 1, "", "AtomicStrainModifier"], [29, 1, 1, "", "BondAnalysisModifier"], [29, 1, 1, "", "CalculateDisplacementsModifier"], [29, 1, 1, "", "CentroSymmetryModifier"], [29, 1, 1, "", "ChillPlusModifier"], [29, 1, 1, "", "ClearSelectionModifier"], [29, 1, 1, "", "ClusterAnalysisModifier"], [29, 1, 1, "", "ColorByTypeModifier"], [29, 1, 1, "", "ColorCodingModifier"], [29, 1, 1, "", "CombineDatasetsModifier"], [29, 1, 1, "", "CommonNeighborAnalysisModifier"], [29, 1, 1, "", "ComputePropertyModifier"], [29, 1, 1, "", "ConstructSurfaceModifier"], [29, 1, 1, "", "CoordinationAnalysisModifier"], [29, 1, 1, "", "CoordinationPolyhedraModifier"], [29, 1, 1, "", "CreateBondsModifier"], [29, 1, 1, "", "CreateIsosurfaceModifier"], [29, 1, 1, "", "DeleteSelectedModifier"], [29, 1, 1, "", "DislocationAnalysisModifier"], [29, 1, 1, "", "ElasticStrainModifier"], [29, 1, 1, "", "ExpandSelectionModifier"], [29, 1, 1, "", "ExpressionSelectionModifier"], [29, 1, 1, "", "FreezePropertyModifier"], [29, 1, 1, "", "GenerateTrajectoryLinesModifier"], [29, 1, 1, "", "GrainSegmentationModifier"], [29, 1, 1, "", "HistogramModifier"], [29, 1, 1, "", "IdentifyDiamondModifier"], [29, 1, 1, "", "InvertSelectionModifier"], [29, 1, 1, "", "LoadTrajectoryModifier"], [29, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [29, 1, 1, "", "PythonScriptModifier"], [29, 1, 1, "", "ReplicateModifier"], [29, 1, 1, "", "SelectTypeModifier"], [29, 1, 1, "", "SliceModifier"], [29, 1, 1, "", "SmoothTrajectoryModifier"], [29, 1, 1, "", "SpatialBinningModifier"], [29, 1, 1, "", "SpatialCorrelationFunctionModifier"], [29, 1, 1, "", "StructureIdentificationModifier"], [29, 1, 1, "", "TimeAveragingModifier"], [29, 1, 1, "", "TimeSeriesModifier"], [29, 1, 1, "", "UnwrapTrajectoriesModifier"], [29, 1, 1, "", "VoroTopModifier"], [29, 1, 1, "", "VoronoiAnalysisModifier"], [29, 1, 1, "", "WignerSeitzAnalysisModifier"], [29, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "reduced_coords"], [29, 3, 1, "", "relative_mode"], [29, 3, 1, "", "target_cell"], [29, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[29, 3, 1, "", "buffer_resolution"], [29, 3, 1, "", "intensity"], [29, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[29, 3, 1, "", "color"], [29, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[29, 3, 1, "", "cutoff"], [29, 3, 1, "", "output_deformation_gradients"], [29, 3, 1, "", "output_nonaffine_squared_displacements"], [29, 3, 1, "", "output_rotations"], [29, 3, 1, "", "output_strain_tensors"], [29, 3, 1, "", "output_stretch_tensors"], [29, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[29, 3, 1, "", "bins"], [29, 3, 1, "", "cosine_mode"], [29, 3, 1, "", "length_cutoff"], [29, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[29, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[29, 3, 1, "", "mode"], [29, 3, 1, "", "num_neighbors"], [29, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[29, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[29, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[29, 3, 1, "", "cluster_coloring"], [29, 3, 1, "", "compute_com"], [29, 3, 1, "", "compute_gyration"], [29, 3, 1, "", "cutoff"], [29, 3, 1, "", "neighbor_mode"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "sort_by_size"], [29, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[29, 3, 1, "", "clear_selection"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[29, 3, 1, "", "auto_adjust_range"], [29, 3, 1, "", "end_value"], [29, 3, 1, "", "gradient"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "property"], [29, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[29, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[29, 3, 1, "", "cutoff"], [29, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[29, 3, 1, "", "cutoff_radius"], [29, 3, 1, "", "expressions"], [29, 3, 1, "", "neighbor_expressions"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[29, 3, 1, "", "compute_distances"], [29, 3, 1, "", "grid_resolution"], [29, 3, 1, "", "identify_regions"], [29, 3, 1, "", "isolevel"], [29, 3, 1, "", "map_particles_to_regions"], [29, 3, 1, "", "method"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "radius"], [29, 3, 1, "", "radius_scaling"], [29, 3, 1, "", "select_surface_particles"], [29, 3, 1, "", "smoothing_level"], [29, 3, 1, "", "transfer_properties"], [29, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[29, 3, 1, "", "cutoff"], [29, 3, 1, "", "number_of_bins"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[29, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[29, 3, 1, "", "bond_type"], [29, 3, 1, "", "cutoff"], [29, 2, 1, "", "get_pairwise_cutoff"], [29, 3, 1, "", "intra_molecule_only"], [29, 3, 1, "", "lower_cutoff"], [29, 3, 1, "", "mode"], [29, 3, 1, "", "prevent_hh_bonds"], [29, 2, 1, "", "set_pairwise_cutoff"], [29, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[29, 3, 1, "", "isolevel"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "property"], [29, 3, 1, "", "transfer_values"], [29, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[29, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[29, 3, 1, "", "circuit_stretchability"], [29, 3, 1, "", "color_by_type"], [29, 3, 1, "", "defect_mesh_smoothing_level"], [29, 3, 1, "", "defect_vis"], [29, 3, 1, "", "disloc_vis"], [29, 3, 1, "", "input_crystal_structure"], [29, 3, 1, "", "line_coarsening_enabled"], [29, 3, 1, "", "line_point_separation"], [29, 3, 1, "", "line_smoothing_enabled"], [29, 3, 1, "", "line_smoothing_level"], [29, 3, 1, "", "only_perfect_dislocations"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[29, 3, 1, "", "axial_ratio"], [29, 3, 1, "", "calculate_deformation_gradients"], [29, 3, 1, "", "calculate_strain_tensors"], [29, 3, 1, "", "input_crystal_structure"], [29, 3, 1, "", "lattice_constant"], [29, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[29, 3, 1, "", "cutoff"], [29, 3, 1, "", "iterations"], [29, 3, 1, "", "mode"], [29, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[29, 3, 1, "", "expression"], [29, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[29, 3, 1, "", "destination_property"], [29, 3, 1, "", "freeze_at"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[29, 3, 1, "", "frame_interval"], [29, 2, 1, "", "generate"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "sample_particle_property"], [29, 3, 1, "", "sampling_frequency"], [29, 3, 1, "", "unwrap_trajectories"], [29, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[29, 3, 1, "", "algorithm"], [29, 3, 1, "", "color_particles"], [29, 3, 1, "", "handle_stacking_faults"], [29, 3, 1, "", "merging_threshold"], [29, 3, 1, "", "min_grain_size"], [29, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[29, 3, 1, "", "bin_count"], [29, 3, 1, "", "fix_xrange"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "property"], [29, 3, 1, "", "xrange_end"], [29, 3, 1, "", "xrange_start"]], "ovito.modifiers.InvertSelectionModifier": [[29, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[29, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[29, 3, 1, "", "output_deformation_gradient"], [29, 3, 1, "", "output_interatomic_distance"], [29, 3, 1, "", "output_ordering"], [29, 3, 1, "", "output_orientation"], [29, 3, 1, "", "output_rmsd"], [29, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonScriptModifier": [[29, 3, 1, "", "function"]], "ovito.modifiers.ReplicateModifier": [[29, 3, 1, "", "adjust_box"], [29, 3, 1, "", "num_x"], [29, 3, 1, "", "num_y"], [29, 3, 1, "", "num_z"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[29, 3, 1, "", "operate_on"], [29, 3, 1, "", "property"], [29, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[29, 3, 1, "", "distance"], [29, 3, 1, "", "gridslice_vis"], [29, 3, 1, "", "inverse"], [29, 3, 1, "", "miller"], [29, 3, 1, "", "normal"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "plane_vis"], [29, 3, 1, "", "render_plane"], [29, 3, 1, "", "select"], [29, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[29, 3, 1, "", "minimum_image_convention"], [29, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[29, 3, 1, "", "bin_count"], [29, 3, 1, "", "direction"], [29, 3, 1, "", "first_derivative"], [29, 3, 1, "", "grid_vis"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "property"], [29, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[29, 3, 1, "", "apply_window"], [29, 3, 1, "", "direct_summation"], [29, 3, 1, "", "grid_spacing"], [29, 3, 1, "", "neighbor_bins"], [29, 3, 1, "", "neighbor_cutoff"], [29, 3, 1, "", "property1"], [29, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[29, 3, 1, "", "color_by_type"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[29, 3, 1, "", "interval"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[29, 3, 1, "", "interval"], [29, 3, 1, "", "operate_on"], [29, 3, 1, "", "sampling_frequency"], [29, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[29, 3, 1, "", "filter_file"], [29, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[29, 3, 1, "", "bonds_vis"], [29, 3, 1, "", "compute_indices"], [29, 3, 1, "", "edge_threshold"], [29, 3, 1, "", "face_threshold"], [29, 3, 1, "", "generate_bonds"], [29, 3, 1, "", "generate_polyhedra"], [29, 3, 1, "", "mesh_vis"], [29, 3, 1, "", "only_selected"], [29, 3, 1, "", "relative_face_threshold"], [29, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[29, 3, 1, "", "output_displaced"], [29, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[30, 1, 1, "", "FileSource"], [30, 1, 1, "", "Modifier"], [30, 1, 1, "", "Pipeline"], [30, 1, 1, "", "PythonScriptSource"], [30, 1, 1, "", "ReferenceConfigurationModifier"], [30, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[30, 2, 1, "", "compute"], [30, 3, 1, "", "data"], [30, 2, 1, "", "load"], [30, 3, 1, "", "num_frames"], [30, 3, 1, "", "source_path"]], "ovito.pipeline.Modifier": [[30, 3, 1, "", "enabled"]], "ovito.pipeline.Pipeline": [[30, 2, 1, "", "add_to_scene"], [30, 2, 1, "", "compute"], [30, 3, 1, "", "modifiers"], [30, 2, 1, "", "remove_from_scene"], [30, 3, 1, "", "source"]], "ovito.pipeline.PythonScriptSource": [[30, 3, 1, "", "function"]], "ovito.pipeline.ReferenceConfigurationModifier": [[30, 3, 1, "", "affine_mapping"], [30, 3, 1, "", "frame_offset"], [30, 3, 1, "", "minimum_image_convention"], [30, 3, 1, "", "reference"], [30, 3, 1, "", "reference_frame"], [30, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[30, 2, 1, "", "compute"], [30, 3, 1, "", "data"]], "ovito.vis": [[31, 1, 1, "", "BondsVis"], [31, 1, 1, "", "ColorLegendOverlay"], [31, 1, 1, "", "CoordinateTripodOverlay"], [31, 1, 1, "", "DataVis"], [31, 1, 1, "", "DislocationVis"], [31, 1, 1, "", "OSPRayRenderer"], [31, 1, 1, "", "OpenGLRenderer"], [31, 1, 1, "", "ParticlesVis"], [31, 1, 1, "", "PythonViewportOverlay"], [31, 1, 1, "", "SimulationCellVis"], [31, 1, 1, "", "SurfaceMeshVis"], [31, 1, 1, "", "TachyonRenderer"], [31, 1, 1, "", "TextLabelOverlay"], [31, 1, 1, "", "TrajectoryVis"], [31, 1, 1, "", "TriangleMeshVis"], [31, 1, 1, "", "VectorVis"], [31, 1, 1, "", "Viewport"], [31, 1, 1, "", "ViewportOverlay"], [31, 1, 1, "", "VoxelGridVis"]], "ovito.vis.BondsVis": [[31, 3, 1, "", "color"], [31, 3, 1, "", "coloring_mode"], [31, 3, 1, "", "flat_shading"], [31, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[31, 3, 1, "", "alignment"], [31, 3, 1, "", "aspect_ratio"], [31, 3, 1, "", "border_color"], [31, 3, 1, "", "border_enabled"], [31, 3, 1, "", "color_mapping_source"], [31, 3, 1, "", "font"], [31, 3, 1, "", "font_size"], [31, 3, 1, "", "format_string"], [31, 3, 1, "", "label1"], [31, 3, 1, "", "label2"], [31, 3, 1, "", "legend_size"], [31, 3, 1, "", "modifier"], [31, 3, 1, "", "offset_x"], [31, 3, 1, "", "offset_y"], [31, 3, 1, "", "orientation"], [31, 3, 1, "", "outline_color"], [31, 3, 1, "", "outline_enabled"], [31, 3, 1, "", "property"], [31, 3, 1, "", "text_color"], [31, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[31, 3, 1, "", "alignment"], [31, 3, 1, "", "axis1_color"], [31, 3, 1, "", "axis1_dir"], [31, 3, 1, "", "axis1_enabled"], [31, 3, 1, "", "axis1_label"], [31, 3, 1, "", "axis2_color"], [31, 3, 1, "", "axis2_dir"], [31, 3, 1, "", "axis2_enabled"], [31, 3, 1, "", "axis2_label"], [31, 3, 1, "", "axis3_color"], [31, 3, 1, "", "axis3_dir"], [31, 3, 1, "", "axis3_enabled"], [31, 3, 1, "", "axis3_label"], [31, 3, 1, "", "axis4_color"], [31, 3, 1, "", "axis4_dir"], [31, 3, 1, "", "axis4_enabled"], [31, 3, 1, "", "axis4_label"], [31, 3, 1, "", "font"], [31, 3, 1, "", "font_size"], [31, 3, 1, "", "line_width"], [31, 3, 1, "", "offset_x"], [31, 3, 1, "", "offset_y"], [31, 3, 1, "", "outline_color"], [31, 3, 1, "", "outline_enabled"], [31, 3, 1, "", "size"], [31, 3, 1, "", "style"]], "ovito.vis.DataVis": [[31, 3, 1, "", "enabled"], [31, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[31, 3, 1, "", "burgers_vector_color"], [31, 3, 1, "", "burgers_vector_scaling"], [31, 3, 1, "", "burgers_vector_width"], [31, 3, 1, "", "coloring_mode"], [31, 3, 1, "", "line_width"], [31, 3, 1, "", "shading"], [31, 3, 1, "", "show_burgers_vectors"], [31, 3, 1, "", "show_line_directions"]], "ovito.vis.OSPRayRenderer": [[31, 3, 1, "", "ambient_brightness"], [31, 3, 1, "", "ambient_light_enabled"], [31, 3, 1, "", "aperture"], [31, 3, 1, "", "denoising_enabled"], [31, 3, 1, "", "direct_light_angular_diameter"], [31, 3, 1, "", "direct_light_enabled"], [31, 3, 1, "", "direct_light_intensity"], [31, 3, 1, "", "dof_enabled"], [31, 3, 1, "", "focal_length"], [31, 3, 1, "", "material_shininess"], [31, 3, 1, "", "material_specular_brightness"], [31, 3, 1, "", "max_ray_recursion"], [31, 3, 1, "", "refinement_iterations"], [31, 3, 1, "", "samples_per_pixel"], [31, 3, 1, "", "sky_albedo"], [31, 3, 1, "", "sky_brightness"], [31, 3, 1, "", "sky_light_enabled"], [31, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[31, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[31, 3, 1, "", "radius"], [31, 3, 1, "", "scaling"], [31, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[31, 1, 1, "", "Arguments"], [31, 3, 1, "", "function"]], "ovito.vis.PythonViewportOverlay.Arguments": [[31, 3, 1, "", "fov"], [31, 3, 1, "", "frame"], [31, 3, 1, "", "is_perspective"], [31, 3, 1, "", "painter"], [31, 3, 1, "", "proj_tm"], [31, 2, 1, "", "project_point"], [31, 2, 1, "", "project_size"], [31, 3, 1, "", "scene"], [31, 3, 1, "", "size"], [31, 3, 1, "", "view_tm"], [31, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[31, 3, 1, "", "line_width"], [31, 3, 1, "", "render_cell"], [31, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[31, 3, 1, "", "cap_color"], [31, 3, 1, "", "cap_transparency"], [31, 3, 1, "", "color_mapping_gradient"], [31, 3, 1, "", "color_mapping_interval"], [31, 3, 1, "", "color_mapping_mode"], [31, 3, 1, "", "color_mapping_property"], [31, 3, 1, "", "highlight_edges"], [31, 3, 1, "", "reverse_orientation"], [31, 3, 1, "", "show_cap"], [31, 3, 1, "", "smooth_shading"], [31, 3, 1, "", "surface_color"], [31, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[31, 3, 1, "", "ambient_occlusion"], [31, 3, 1, "", "ambient_occlusion_brightness"], [31, 3, 1, "", "ambient_occlusion_samples"], [31, 3, 1, "", "antialiasing"], [31, 3, 1, "", "antialiasing_samples"], [31, 3, 1, "", "aperture"], [31, 3, 1, "", "depth_of_field"], [31, 3, 1, "", "direct_light"], [31, 3, 1, "", "direct_light_intensity"], [31, 3, 1, "", "focal_length"], [31, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[31, 3, 1, "", "alignment"], [31, 3, 1, "", "font"], [31, 3, 1, "", "font_size"], [31, 3, 1, "", "format_string"], [31, 3, 1, "", "offset_x"], [31, 3, 1, "", "offset_y"], [31, 3, 1, "", "outline_color"], [31, 3, 1, "", "outline_enabled"], [31, 3, 1, "", "source_pipeline"], [31, 3, 1, "", "text"], [31, 3, 1, "", "text_color"]], "ovito.vis.TrajectoryVis": [[31, 3, 1, "", "color"], [31, 3, 1, "", "color_mapping_gradient"], [31, 3, 1, "", "color_mapping_interval"], [31, 3, 1, "", "color_mapping_property"], [31, 3, 1, "", "shading"], [31, 3, 1, "", "upto_current_time"], [31, 3, 1, "", "width"], [31, 3, 1, "", "wrapped_lines"]], "ovito.vis.TriangleMeshVis": [[31, 3, 1, "", "backface_culling"], [31, 3, 1, "", "color"], [31, 3, 1, "", "highlight_edges"], [31, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[31, 3, 1, "", "alignment"], [31, 3, 1, "", "color"], [31, 3, 1, "", "color_mapping_gradient"], [31, 3, 1, "", "color_mapping_interval"], [31, 3, 1, "", "color_mapping_property"], [31, 3, 1, "", "flat_shading"], [31, 3, 1, "", "offset"], [31, 3, 1, "", "reverse"], [31, 3, 1, "", "scaling"], [31, 3, 1, "", "transparency"], [31, 3, 1, "", "width"]], "ovito.vis.Viewport": [[31, 3, 1, "", "camera_dir"], [31, 3, 1, "", "camera_pos"], [31, 3, 1, "", "camera_up"], [31, 2, 1, "", "create_jupyter_widget"], [31, 2, 1, "", "create_qt_widget"], [31, 3, 1, "", "fov"], [31, 3, 1, "", "overlays"], [31, 2, 1, "", "render_anim"], [31, 2, 1, "", "render_image"], [31, 3, 1, "", "type"], [31, 3, 1, "", "underlays"], [31, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[31, 3, 1, "", "enabled"]], "ovito.vis.VoxelGridVis": [[31, 3, 1, "", "color_mapping_gradient"], [31, 3, 1, "", "color_mapping_interval"], [31, 3, 1, "", "color_mapping_property"], [31, 3, 1, "", "highlight_grid_lines"], [31, 3, 1, "", "interpolate_colors"], [31, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 19, 21, 24, 25, 26, 27, 28, 29, 30, 31], "python": [0, 5, 19], "refer": 0, "topic": [0, 1, 2, 3, 4, 22], "modul": [0, 19], "advanc": 1, "save": [1, 2], "load": [1, 2], "pipelin": [1, 21, 22, 30], "specifi": 1, "number": [1, 19], "processor": 1, "core": [1, 19], "user": 2, "defin": 2, "modifi": [2, 3, 5, 21, 29], "function": [2, 5], "implement": 2, "write": 2, "well": 2, "behav": 2, "how": 2, "comput": [2, 6, 8, 21], "inform": 2, "disk": [2, 21], "One": 2, "time": 2, "input": [2, 21], "data": [2, 3, 4, 15, 18, 21, 22, 25], "long": 2, "run": 2, "next": [2, 3, 4, 22], "manipul": 3, "ownership": 3, "announc": 3, "object": [3, 4], "modif": 3, "assign": 3, "new": 3, "particl": [3, 4, 7, 12, 16], "properti": [3, 4], "bond": [3, 6, 7], "valu": 3, "ad": 3, "global": [3, 4], "attribut": [3, 4], "simul": [3, 13, 22], "cell": 3, "direct": 3, "applic": 3, "model": 4, "tabl": 4, "surfac": 4, "mesh": 4, "code": 5, "exampl": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17], "batch": 5, "script": 5, "viewport": [5, 23], "layer": 5, "b2": 6, "cna": 6, "indic": [6, 8], "b3": 7, "creat": 7, "programmat": 7, "b1": 8, "voronoi": 8, "m6": 9, "calcul": [9, 10, 11], "local": [9, 14], "entropi": 9, "m1": 10, "mean": 10, "squar": 10, "displac": 10, "m2": 11, "custom": 11, "order": 11, "paramet": 11, "m4": 12, "find": 12, "overlap": 12, "m5": 13, "shrink": 13, "wrap": 13, "box": 13, "m3": 14, "color": 14, "map": 14, "visual": [14, 23], "lattic": 14, "orient": 14, "o2": 15, "includ": 15, "plot": 15, "render": [15, 21, 23], "imag": [15, 21], "o3": 16, "highlight": 16, "o1": 17, "scale": 17, "bar": 17, "file": 18, "i": 18, "o": 18, "import": [18, 21], "export": [18, 21], "instal": 19, "us": 19, "pip": 19, "conda": 19, "pro": 19, "integr": 19, "interpret": 19, "preload": 19, "session": 19, "state": 19, "graphic": 19, "mode": 19, "cpu": 19, "third": 19, "parti": 19, "introduct": 20, "high": 21, "level": 21, "api": 21, "overview": 21, "": 21, "architectur": 21, "from": 21, "appli": 21, "access": 21, "result": 21, "movi": 21, "further": 21, "read": 21, "process": 22, "trajectori": 22, "element": 23, "io": [26, 27, 28], "ase": 27, "lammp": 28, "vi": 31}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 56}})